Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.lwjgl.opengl
Class GL11

    java.lang.Object
      org.lwjgl.opengl.GL11

    public final class GL11

extends java.lang.Object

Field Summary
`static int` | `GL_2_BYTES`
`static int` | `GL_2D`
`static int` | `GL_3_BYTES`
`static int` | `GL_3D`
`static int` | `GL_3D_COLOR`
`static int` | `GL_3D_COLOR_TEXTURE`
`static int` | `GL_4_BYTES`
`static int` | `GL_4D_COLOR_TEXTURE`
`static int` | `GL_ACCUM`
`static int` | `GL_ACCUM_ALPHA_BITS`
`static int` | `GL_ACCUM_BLUE_BITS`
`static int` | `GL_ACCUM_BUFFER_BIT`
`static int` | `GL_ACCUM_CLEAR_VALUE`
`static int` | `GL_ACCUM_GREEN_BITS`
`static int` | `GL_ACCUM_RED_BITS`
`static int` | `GL_ADD`
`static int` | `GL_ALL_ATTRIB_BITS`
`static int` | `GL_ALL_CLIENT_ATTRIB_BITS`
`static int` | `GL_ALPHA`
`static int` | `GL_ALPHA_BIAS`
`static int` | `GL_ALPHA_BITS`
`static int` | `GL_ALPHA_SCALE`
`static int` | `GL_ALPHA_TEST`
`static int` | `GL_ALPHA_TEST_FUNC`
`static int` | `GL_ALPHA_TEST_REF`
`static int` | `GL_ALPHA12`
`static int` | `GL_ALPHA16`
`static int` | `GL_ALPHA4`
`static int` | `GL_ALPHA8`
`static int` | `GL_ALWAYS`
`static int` | `GL_AMBIENT`
`static int` | `GL_AMBIENT_AND_DIFFUSE`
`static int` | `GL_AND`
`static int` | `GL_AND_INVERTED`
`static int` | `GL_AND_REVERSE`
`static int` | `GL_ATTRIB_STACK_DEPTH`
`static int` | `GL_AUTO_NORMAL`
`static int` | `GL_AUX_BUFFERS`
`static int` | `GL_AUX0`
`static int` | `GL_AUX1`
`static int` | `GL_AUX2`
`static int` | `GL_AUX3`
`static int` | `GL_BACK`
`static int` | `GL_BACK_LEFT`
`static int` | `GL_BACK_RIGHT`
`static int` | `GL_BITMAP`
`static int` | `GL_BITMAP_TOKEN`
`static int` | `GL_BLEND`
`static int` | `GL_BLEND_DST`
`static int` | `GL_BLEND_SRC`
`static int` | `GL_BLUE`
`static int` | `GL_BLUE_BIAS`
`static int` | `GL_BLUE_BITS`
`static int` | `GL_BLUE_SCALE`
`static int` | `GL_BYTE`
`static int` | `GL_C3F_V3F`
`static int` | `GL_C4F_N3F_V3F`
`static int` | `GL_C4UB_V2F`
`static int` | `GL_C4UB_V3F`
`static int` | `GL_CCW`
`static int` | `GL_CLAMP`
`static int` | `GL_CLEAR`
`static int` | `GL_CLIENT_ATTRIB_STACK_DEPTH`
`static int` | `GL_CLIENT_PIXEL_STORE_BIT`
`static int` | `GL_CLIENT_VERTEX_ARRAY_BIT`
`static int` | `GL_CLIP_PLANE0`
`static int` | `GL_CLIP_PLANE1`
`static int` | `GL_CLIP_PLANE2`
`static int` | `GL_CLIP_PLANE3`
`static int` | `GL_CLIP_PLANE4`
`static int` | `GL_CLIP_PLANE5`
`static int` | `GL_COEFF`
`static int` | `GL_COLOR`
`static int` | `GL_COLOR_ARRAY`
`static int` | `GL_COLOR_ARRAY_POINTER`
`static int` | `GL_COLOR_ARRAY_SIZE`
`static int` | `GL_COLOR_ARRAY_STRIDE`
`static int` | `GL_COLOR_ARRAY_TYPE`
`static int` | `GL_COLOR_BUFFER_BIT`
`static int` | `GL_COLOR_CLEAR_VALUE`
`static int` | `GL_COLOR_INDEX`
`static int` | `GL_COLOR_INDEXES`
`static int` | `GL_COLOR_LOGIC_OP`
`static int` | `GL_COLOR_MATERIAL`
`static int` | `GL_COLOR_MATERIAL_FACE`
`static int` | `GL_COLOR_MATERIAL_PARAMETER`
`static int` | `GL_COLOR_WRITEMASK`
`static int` | `GL_COMPILE`
`static int` | `GL_COMPILE_AND_EXECUTE`
`static int` | `GL_CONSTANT_ALPHA`
`static int` | `GL_CONSTANT_ATTENUATION`
`static int` | `GL_CONSTANT_COLOR`
`static int` | `GL_COPY`
`static int` | `GL_COPY_INVERTED`
`static int` | `GL_COPY_PIXEL_TOKEN`
`static int` | `GL_CULL_FACE`
`static int` | `GL_CULL_FACE_MODE`
`static int` | `GL_CURRENT_BIT`
`static int` | `GL_CURRENT_COLOR`
`static int` | `GL_CURRENT_INDEX`
`static int` | `GL_CURRENT_NORMAL`
`static int` | `GL_CURRENT_RASTER_COLOR`
`static int` | `GL_CURRENT_RASTER_DISTANCE`
`static int` | `GL_CURRENT_RASTER_INDEX`
`static int` | `GL_CURRENT_RASTER_POSITION`
`static int` | `GL_CURRENT_RASTER_POSITION_VALID`
`static int` | `GL_CURRENT_RASTER_TEXTURE_COORDS`
`static int` | `GL_CURRENT_TEXTURE_COORDS`
`static int` | `GL_CW`
`static int` | `GL_DECAL`
`static int` | `GL_DECR`
`static int` | `GL_DEPTH`
`static int` | `GL_DEPTH_BIAS`
`static int` | `GL_DEPTH_BITS`
`static int` | `GL_DEPTH_BUFFER_BIT`
`static int` | `GL_DEPTH_CLEAR_VALUE`
`static int` | `GL_DEPTH_COMPONENT`
`static int` | `GL_DEPTH_FUNC`
`static int` | `GL_DEPTH_RANGE`
`static int` | `GL_DEPTH_SCALE`
`static int` | `GL_DEPTH_TEST`
`static int` | `GL_DEPTH_WRITEMASK`
`static int` | `GL_DIFFUSE`
`static int` | `GL_DITHER`
`static int` | `GL_DOMAIN`
`static int` | `GL_DONT_CARE`
`static int` | `GL_DOUBLE`
`static int` | `GL_DOUBLEBUFFER`
`static int` | `GL_DRAW_BUFFER`
`static int` | `GL_DRAW_PIXEL_TOKEN`
`static int` | `GL_DST_ALPHA`
`static int` | `GL_DST_COLOR`
`static int` | `GL_EDGE_FLAG`
`static int` | `GL_EDGE_FLAG_ARRAY`
`static int` | `GL_EDGE_FLAG_ARRAY_POINTER`
`static int` | `GL_EDGE_FLAG_ARRAY_STRIDE`
`static int` | `GL_EMISSION`
`static int` | `GL_ENABLE_BIT`
`static int` | `GL_EQUAL`
`static int` | `GL_EQUIV`
`static int` | `GL_EVAL_BIT`
`static int` | `GL_EXP`
`static int` | `GL_EXP2`
`static int` | `GL_EXTENSIONS`
`static int` | `GL_EYE_LINEAR`
`static int` | `GL_EYE_PLANE`
`static int` | `GL_FALSE`
`static int` | `GL_FASTEST`
`static int` | `GL_FEEDBACK`
`static int` | `GL_FEEDBACK_BUFFER_POINTER`
`static int` | `GL_FEEDBACK_BUFFER_SIZE`
`static int` | `GL_FEEDBACK_BUFFER_TYPE`
`static int` | `GL_FILL`
`static int` | `GL_FLAT`
`static int` | `GL_FLOAT`
`static int` | `GL_FOG`
`static int` | `GL_FOG_BIT`
`static int` | `GL_FOG_COLOR`
`static int` | `GL_FOG_DENSITY`
`static int` | `GL_FOG_END`
`static int` | `GL_FOG_HINT`
`static int` | `GL_FOG_INDEX`
`static int` | `GL_FOG_MODE`
`static int` | `GL_FOG_START`
`static int` | `GL_FRONT`
`static int` | `GL_FRONT_AND_BACK`
`static int` | `GL_FRONT_FACE`
`static int` | `GL_FRONT_LEFT`
`static int` | `GL_FRONT_RIGHT`
`static int` | `GL_GEQUAL`
`static int` | `GL_GREATER`
`static int` | `GL_GREEN`
`static int` | `GL_GREEN_BIAS`
`static int` | `GL_GREEN_BITS`
`static int` | `GL_GREEN_SCALE`
`static int` | `GL_HINT_BIT`
`static int` | `GL_INCR`
`static int` | `GL_INDEX_ARRAY`
`static int` | `GL_INDEX_ARRAY_POINTER`
`static int` | `GL_INDEX_ARRAY_STRIDE`
`static int` | `GL_INDEX_ARRAY_TYPE`
`static int` | `GL_INDEX_BITS`
`static int` | `GL_INDEX_CLEAR_VALUE`
`static int` | `GL_INDEX_LOGIC_OP`
`static int` | `GL_INDEX_MODE`
`static int` | `GL_INDEX_OFFSET`
`static int` | `GL_INDEX_SHIFT`
`static int` | `GL_INDEX_WRITEMASK`
`static int` | `GL_INT`
`static int` | `GL_INTENSITY`
`static int` | `GL_INTENSITY12`
`static int` | `GL_INTENSITY16`
`static int` | `GL_INTENSITY4`
`static int` | `GL_INTENSITY8`
`static int` | `GL_INVALID_ENUM`
`static int` | `GL_INVALID_OPERATION`
`static int` | `GL_INVALID_VALUE`
`static int` | `GL_INVERT`
`static int` | `GL_KEEP`
`static int` | `GL_LEFT`
`static int` | `GL_LEQUAL`
`static int` | `GL_LESS`
`static int` | `GL_LIGHT_MODEL_AMBIENT`
`static int` | `GL_LIGHT_MODEL_LOCAL_VIEWER`
`static int` | `GL_LIGHT_MODEL_TWO_SIDE`
`static int` | `GL_LIGHT0`
`static int` | `GL_LIGHT1`
`static int` | `GL_LIGHT2`
`static int` | `GL_LIGHT3`
`static int` | `GL_LIGHT4`
`static int` | `GL_LIGHT5`
`static int` | `GL_LIGHT6`
`static int` | `GL_LIGHT7`
`static int` | `GL_LIGHTING`
`static int` | `GL_LIGHTING_BIT`
`static int` | `GL_LINE`
`static int` | `GL_LINE_BIT`
`static int` | `GL_LINE_LOOP`
`static int` | `GL_LINE_RESET_TOKEN`
`static int` | `GL_LINE_SMOOTH`
`static int` | `GL_LINE_SMOOTH_HINT`
`static int` | `GL_LINE_STIPPLE`
`static int` | `GL_LINE_STIPPLE_PATTERN`
`static int` | `GL_LINE_STIPPLE_REPEAT`
`static int` | `GL_LINE_STRIP`
`static int` | `GL_LINE_TOKEN`
`static int` | `GL_LINE_WIDTH`
`static int` | `GL_LINE_WIDTH_GRANULARITY`
`static int` | `GL_LINE_WIDTH_RANGE`
`static int` | `GL_LINEAR`
`static int` | `GL_LINEAR_ATTENUATION`
`static int` | `GL_LINEAR_MIPMAP_LINEAR`
`static int` | `GL_LINEAR_MIPMAP_NEAREST`
`static int` | `GL_LINES`
`static int` | `GL_LIST_BASE`
`static int` | `GL_LIST_BIT`
`static int` | `GL_LIST_INDEX`
`static int` | `GL_LIST_MODE`
`static int` | `GL_LOAD`
`static int` | `GL_LOGIC_OP`
`static int` | `GL_LOGIC_OP_MODE`
`static int` | `GL_LUMINANCE`
`static int` | `GL_LUMINANCE_ALPHA`
`static int` | `GL_LUMINANCE12`
`static int` | `GL_LUMINANCE12_ALPHA12`
`static int` | `GL_LUMINANCE12_ALPHA4`
`static int` | `GL_LUMINANCE16`
`static int` | `GL_LUMINANCE16_ALPHA16`
`static int` | `GL_LUMINANCE4`
`static int` | `GL_LUMINANCE4_ALPHA4`
`static int` | `GL_LUMINANCE6_ALPHA2`
`static int` | `GL_LUMINANCE8`
`static int` | `GL_LUMINANCE8_ALPHA8`
`static int` | `GL_MAP_COLOR`
`static int` | `GL_MAP_STENCIL`
`static int` | `GL_MAP1_COLOR_4`
`static int` | `GL_MAP1_GRID_DOMAIN`
`static int` | `GL_MAP1_GRID_SEGMENTS`
`static int` | `GL_MAP1_INDEX`
`static int` | `GL_MAP1_NORMAL`
`static int` | `GL_MAP1_TEXTURE_COORD_1`
`static int` | `GL_MAP1_TEXTURE_COORD_2`
`static int` | `GL_MAP1_TEXTURE_COORD_3`
`static int` | `GL_MAP1_TEXTURE_COORD_4`
`static int` | `GL_MAP1_VERTEX_3`
`static int` | `GL_MAP1_VERTEX_4`
`static int` | `GL_MAP2_COLOR_4`
`static int` | `GL_MAP2_GRID_DOMAIN`
`static int` | `GL_MAP2_GRID_SEGMENTS`
`static int` | `GL_MAP2_INDEX`
`static int` | `GL_MAP2_NORMAL`
`static int` | `GL_MAP2_TEXTURE_COORD_1`
`static int` | `GL_MAP2_TEXTURE_COORD_2`
`static int` | `GL_MAP2_TEXTURE_COORD_3`
`static int` | `GL_MAP2_TEXTURE_COORD_4`
`static int` | `GL_MAP2_VERTEX_3`
`static int` | `GL_MAP2_VERTEX_4`
`static int` | `GL_MATRIX_MODE`
`static int` | `GL_MAX_ATTRIB_STACK_DEPTH`
`static int` | `GL_MAX_CLIENT_ATTRIB_STACK_DEPTH`
`static int` | `GL_MAX_CLIP_PLANES`
`static int` | `GL_MAX_EVAL_ORDER`
`static int` | `GL_MAX_LIGHTS`
`static int` | `GL_MAX_LIST_NESTING`
`static int` | `GL_MAX_MODELVIEW_STACK_DEPTH`
`static int` | `GL_MAX_NAME_STACK_DEPTH`
`static int` | `GL_MAX_PIXEL_MAP_TABLE`
`static int` | `GL_MAX_PROJECTION_STACK_DEPTH`
`static int` | `GL_MAX_TEXTURE_SIZE`
`static int` | `GL_MAX_TEXTURE_STACK_DEPTH`
`static int` | `GL_MAX_VIEWPORT_DIMS`
`static int` | `GL_MODELVIEW`
`static int` | `GL_MODELVIEW_MATRIX`
`static int` | `GL_MODELVIEW_STACK_DEPTH`
`static int` | `GL_MODULATE`
`static int` | `GL_MULT`
`static int` | `GL_N3F_V3F`
`static int` | `GL_NAME_STACK_DEPTH`
`static int` | `GL_NAND`
`static int` | `GL_NEAREST`
`static int` | `GL_NEAREST_MIPMAP_LINEAR`
`static int` | `GL_NEAREST_MIPMAP_NEAREST`
`static int` | `GL_NEVER`
`static int` | `GL_NICEST`
`static int` | `GL_NO_ERROR`
`static int` | `GL_NONE`
`static int` | `GL_NOOP`
`static int` | `GL_NOR`
`static int` | `GL_NORMAL_ARRAY`
`static int` | `GL_NORMAL_ARRAY_POINTER`
`static int` | `GL_NORMAL_ARRAY_STRIDE`
`static int` | `GL_NORMAL_ARRAY_TYPE`
`static int` | `GL_NORMALIZE`
`static int` | `GL_NOTEQUAL`
`static int` | `GL_OBJECT_LINEAR`
`static int` | `GL_OBJECT_PLANE`
`static int` | `GL_ONE`
`static int` | `GL_ONE_MINUS_CONSTANT_ALPHA`
`static int` | `GL_ONE_MINUS_CONSTANT_COLOR`
`static int` | `GL_ONE_MINUS_DST_ALPHA`
`static int` | `GL_ONE_MINUS_DST_COLOR`
`static int` | `GL_ONE_MINUS_SRC_ALPHA`
`static int` | `GL_ONE_MINUS_SRC_COLOR`
`static int` | `GL_OR`
`static int` | `GL_OR_INVERTED`
`static int` | `GL_OR_REVERSE`
`static int` | `GL_ORDER`
`static int` | `GL_OUT_OF_MEMORY`
`static int` | `GL_PACK_ALIGNMENT`
`static int` | `GL_PACK_LSB_FIRST`
`static int` | `GL_PACK_ROW_LENGTH`
`static int` | `GL_PACK_SKIP_PIXELS`
`static int` | `GL_PACK_SKIP_ROWS`
`static int` | `GL_PACK_SWAP_BYTES`
`static int` | `GL_PASS_THROUGH_TOKEN`
`static int` | `GL_PERSPECTIVE_CORRECTION_HINT`
`static int` | `GL_PIXEL_MAP_A_TO_A`
`static int` | `GL_PIXEL_MAP_A_TO_A_SIZE`
`static int` | `GL_PIXEL_MAP_B_TO_B`
`static int` | `GL_PIXEL_MAP_B_TO_B_SIZE`
`static int` | `GL_PIXEL_MAP_G_TO_G`
`static int` | `GL_PIXEL_MAP_G_TO_G_SIZE`
`static int` | `GL_PIXEL_MAP_I_TO_A`
`static int` | `GL_PIXEL_MAP_I_TO_A_SIZE`
`static int` | `GL_PIXEL_MAP_I_TO_B`
`static int` | `GL_PIXEL_MAP_I_TO_B_SIZE`
`static int` | `GL_PIXEL_MAP_I_TO_G`
`static int` | `GL_PIXEL_MAP_I_TO_G_SIZE`
`static int` | `GL_PIXEL_MAP_I_TO_I`
`static int` | `GL_PIXEL_MAP_I_TO_I_SIZE`
`static int` | `GL_PIXEL_MAP_I_TO_R`
`static int` | `GL_PIXEL_MAP_I_TO_R_SIZE`
`static int` | `GL_PIXEL_MAP_R_TO_R`
`static int` | `GL_PIXEL_MAP_R_TO_R_SIZE`
`static int` | `GL_PIXEL_MAP_S_TO_S`
`static int` | `GL_PIXEL_MAP_S_TO_S_SIZE`
`static int` | `GL_PIXEL_MODE_BIT`
`static int` | `GL_POINT`
`static int` | `GL_POINT_BIT`
`static int` | `GL_POINT_SIZE`
`static int` | `GL_POINT_SIZE_GRANULARITY`
`static int` | `GL_POINT_SIZE_RANGE`
`static int` | `GL_POINT_SMOOTH`
`static int` | `GL_POINT_SMOOTH_HINT`
`static int` | `GL_POINT_TOKEN`
`static int` | `GL_POINTS`
`static int` | `GL_POLYGON`
`static int` | `GL_POLYGON_BIT`
`static int` | `GL_POLYGON_MODE`
`static int` | `GL_POLYGON_OFFSET_FACTOR`
`static int` | `GL_POLYGON_OFFSET_FILL`
`static int` | `GL_POLYGON_OFFSET_LINE`
`static int` | `GL_POLYGON_OFFSET_POINT`
`static int` | `GL_POLYGON_OFFSET_UNITS`
`static int` | `GL_POLYGON_SMOOTH`
`static int` | `GL_POLYGON_SMOOTH_HINT`
`static int` | `GL_POLYGON_STIPPLE`
`static int` | `GL_POLYGON_STIPPLE_BIT`
`static int` | `GL_POLYGON_TOKEN`
`static int` | `GL_POSITION`
`static int` | `GL_PROJECTION`
`static int` | `GL_PROJECTION_MATRIX`
`static int` | `GL_PROJECTION_STACK_DEPTH`
`static int` | `GL_PROXY_TEXTURE_1D`
`static int` | `GL_PROXY_TEXTURE_2D`
`static int` | `GL_Q`
`static int` | `GL_QUAD_STRIP`
`static int` | `GL_QUADRATIC_ATTENUATION`
`static int` | `GL_QUADS`
`static int` | `GL_R`
`static int` | `GL_R3_G3_B2`
`static int` | `GL_READ_BUFFER`
`static int` | `GL_RED`
`static int` | `GL_RED_BIAS`
`static int` | `GL_RED_BITS`
`static int` | `GL_RED_SCALE`
`static int` | `GL_RENDER`
`static int` | `GL_RENDER_MODE`
`static int` | `GL_RENDERER`
`static int` | `GL_REPEAT`
`static int` | `GL_REPLACE`
`static int` | `GL_RETURN`
`static int` | `GL_RGB`
`static int` | `GL_RGB10`
`static int` | `GL_RGB10_A2`
`static int` | `GL_RGB12`
`static int` | `GL_RGB16`
`static int` | `GL_RGB4`
`static int` | `GL_RGB5`
`static int` | `GL_RGB5_A1`
`static int` | `GL_RGB8`
`static int` | `GL_RGBA`
`static int` | `GL_RGBA_MODE`
`static int` | `GL_RGBA12`
`static int` | `GL_RGBA16`
`static int` | `GL_RGBA2`
`static int` | `GL_RGBA4`
`static int` | `GL_RGBA8`
`static int` | `GL_RIGHT`
`static int` | `GL_S`
`static int` | `GL_SCISSOR_BIT`
`static int` | `GL_SCISSOR_BOX`
`static int` | `GL_SCISSOR_TEST`
`static int` | `GL_SELECT`
`static int` | `GL_SELECTION_BUFFER_POINTER`
`static int` | `GL_SELECTION_BUFFER_SIZE`
`static int` | `GL_SET`
`static int` | `GL_SHADE_MODEL`
`static int` | `GL_SHININESS`
`static int` | `GL_SHORT`
`static int` | `GL_SMOOTH`
`static int` | `GL_SPECULAR`
`static int` | `GL_SPHERE_MAP`
`static int` | `GL_SPOT_CUTOFF`
`static int` | `GL_SPOT_DIRECTION`
`static int` | `GL_SPOT_EXPONENT`
`static int` | `GL_SRC_ALPHA`
`static int` | `GL_SRC_ALPHA_SATURATE`
`static int` | `GL_SRC_COLOR`
`static int` | `GL_STACK_OVERFLOW`
`static int` | `GL_STACK_UNDERFLOW`
`static int` | `GL_STENCIL`
`static int` | `GL_STENCIL_BITS`
`static int` | `GL_STENCIL_BUFFER_BIT`
`static int` | `GL_STENCIL_CLEAR_VALUE`
`static int` | `GL_STENCIL_FAIL`
`static int` | `GL_STENCIL_FUNC`
`static int` | `GL_STENCIL_INDEX`
`static int` | `GL_STENCIL_PASS_DEPTH_FAIL`
`static int` | `GL_STENCIL_PASS_DEPTH_PASS`
`static int` | `GL_STENCIL_REF`
`static int` | `GL_STENCIL_TEST`
`static int` | `GL_STENCIL_VALUE_MASK`
`static int` | `GL_STENCIL_WRITEMASK`
`static int` | `GL_STEREO`
`static int` | `GL_SUBPIXEL_BITS`
`static int` | `GL_T`
`static int` | `GL_T2F_C3F_V3F`
`static int` | `GL_T2F_C4F_N3F_V3F`
`static int` | `GL_T2F_C4UB_V3F`
`static int` | `GL_T2F_N3F_V3F`
`static int` | `GL_T2F_V3F`
`static int` | `GL_T4F_C4F_N3F_V4F`
`static int` | `GL_T4F_V4F`
`static int` | `GL_TEXTURE`
`static int` | `GL_TEXTURE_1D`
`static int` | `GL_TEXTURE_2D`
`static int` | `GL_TEXTURE_ALPHA_SIZE`
`static int` | `GL_TEXTURE_BINDING_1D`
`static int` | `GL_TEXTURE_BINDING_2D`
`static int` | `GL_TEXTURE_BIT`
`static int` | `GL_TEXTURE_BLUE_SIZE`
`static int` | `GL_TEXTURE_BORDER`
`static int` | `GL_TEXTURE_BORDER_COLOR`
`static int` | `GL_TEXTURE_COMPONENTS`
`static int` | `GL_TEXTURE_COORD_ARRAY`
`static int` | `GL_TEXTURE_COORD_ARRAY_POINTER`
`static int` | `GL_TEXTURE_COORD_ARRAY_SIZE`
`static int` | `GL_TEXTURE_COORD_ARRAY_STRIDE`
`static int` | `GL_TEXTURE_COORD_ARRAY_TYPE`
`static int` | `GL_TEXTURE_ENV`
`static int` | `GL_TEXTURE_ENV_COLOR`
`static int` | `GL_TEXTURE_ENV_MODE`
`static int` | `GL_TEXTURE_GEN_MODE`
`static int` | `GL_TEXTURE_GEN_Q`
`static int` | `GL_TEXTURE_GEN_R`
`static int` | `GL_TEXTURE_GEN_S`
`static int` | `GL_TEXTURE_GEN_T`
`static int` | `GL_TEXTURE_GREEN_SIZE`
`static int` | `GL_TEXTURE_HEIGHT`
`static int` | `GL_TEXTURE_INTENSITY_SIZE`
`static int` | `GL_TEXTURE_INTERNAL_FORMAT`
`static int` | `GL_TEXTURE_LUMINANCE_SIZE`
`static int` | `GL_TEXTURE_MAG_FILTER`
`static int` | `GL_TEXTURE_MATRIX`
`static int` | `GL_TEXTURE_MIN_FILTER`
`static int` | `GL_TEXTURE_PRIORITY`
`static int` | `GL_TEXTURE_RED_SIZE`
`static int` | `GL_TEXTURE_RESIDENT`
`static int` | `GL_TEXTURE_STACK_DEPTH`
`static int` | `GL_TEXTURE_WIDTH`
`static int` | `GL_TEXTURE_WRAP_S`
`static int` | `GL_TEXTURE_WRAP_T`
`static int` | `GL_TRANSFORM_BIT`
`static int` | `GL_TRIANGLE_FAN`
`static int` | `GL_TRIANGLE_STRIP`
`static int` | `GL_TRIANGLES`
`static int` | `GL_TRUE`
`static int` | `GL_UNPACK_ALIGNMENT`
`static int` | `GL_UNPACK_LSB_FIRST`
`static int` | `GL_UNPACK_ROW_LENGTH`
`static int` | `GL_UNPACK_SKIP_PIXELS`
`static int` | `GL_UNPACK_SKIP_ROWS`
`static int` | `GL_UNPACK_SWAP_BYTES`
`static int` | `GL_UNSIGNED_BYTE`
`static int` | `GL_UNSIGNED_INT`
`static int` | `GL_UNSIGNED_SHORT`
`static int` | `GL_V2F`
`static int` | `GL_V3F`
`static int` | `GL_VENDOR`
`static int` | `GL_VERSION`
`static int` | `GL_VERTEX_ARRAY`
`static int` | `GL_VERTEX_ARRAY_POINTER`
`static int` | `GL_VERTEX_ARRAY_SIZE`
`static int` | `GL_VERTEX_ARRAY_STRIDE`
`static int` | `GL_VERTEX_ARRAY_TYPE`
`static int` | `GL_VIEWPORT`
`static int` | `GL_VIEWPORT_BIT`
`static int` | `GL_XOR`
`static int` | `GL_ZERO`
`static int` | `GL_ZOOM_X`
`static int` | `GL_ZOOM_Y`

Method Summary
`static void` | `glAccum(int op, float value)`
`static void` | `glAlphaFunc(int func, float ref)`
`static boolean` | `glAreTexturesResident(java.nio.IntBuffer textures, java.nio.ByteBuffer residences)`
`static void` | `glArrayElement(int i)`
`static void` | `glBegin(int mode)`
`static void` | `glBindTexture(int target, int texture)`
`static void` | `glBitmap(int width, int height, float xorig, float yorig, float xmove, float ymove, java.nio.ByteBuffer bitmap)`
`static void` | `glBitmap(int width, int height, float xorig, float yorig, float xmove, float ymove, long bitmap_buffer_offset)`
`static void` | `glBlendFunc(int sfactor, int dfactor)`
`static void` | `glCallList(int list)`
`static void` | `glCallLists(java.nio.ByteBuffer lists)`
`static void` | `glCallLists(java.nio.IntBuffer lists)`
`static void` | `glCallLists(java.nio.ShortBuffer lists)`
`static void` | `glClear(int mask)`
`static void` | `glClearAccum(float red, float green, float blue, float alpha)`
`static void` | `glClearColor(float red, float green, float blue, float alpha)`
`static void` | `glClearDepth(double depth)`
`static void` | `glClearStencil(int s)`
`static void` | `glClipPlane(int plane, java.nio.DoubleBuffer equation)`
`static void` | `glColor3b(byte red, byte green, byte blue)`
`static void` | `glColor3d(double red, double green, double blue)`
`static void` | `glColor3f(float red, float green, float blue)`
`static void` | `glColor3ub(byte red, byte green, byte blue)`
`static void` | `glColor4b(byte red, byte green, byte blue, byte alpha)`
`static void` | `glColor4d(double red, double green, double blue, double alpha)`
`static void` | `glColor4f(float red, float green, float blue, float alpha)`
`static void` | `glColor4ub(byte red, byte green, byte blue, byte alpha)`
`static void` | `glColorMask(boolean red, boolean green, boolean blue, boolean alpha)`
`static void` | `glColorMaterial(int face, int mode)`
`static void` | `glColorPointer(int size, boolean unsigned, int stride, java.nio.ByteBuffer pointer)`
`static void` | `glColorPointer(int size, int stride, java.nio.DoubleBuffer pointer)`
`static void` | `glColorPointer(int size, int stride, java.nio.FloatBuffer pointer)`
`static void` | `glColorPointer(int size, int type, int stride, long pointer_buffer_offset)`
`static void` | `glCopyPixels(int x, int y, int width, int height, int type)`
`static void` | `glCopyTexImage1D(int target, int level, int internalFormat, int x, int y, int width, int border)`
`static void` | `glCopyTexImage2D(int target, int level, int internalFormat, int x, int y, int width, int height, int border)`
`static void` | `glCopyTexSubImage1D(int target, int level, int xoffset, int x, int y, int width)`
`static void` | `glCopyTexSubImage2D(int target, int level, int xoffset, int yoffset, int x, int y, int width, int height)`
`static void` | `glCullFace(int mode)`
`static void` | `glDeleteLists(int list, int range)`
`static void` | `glDeleteTextures(java.nio.IntBuffer textures)`
`static void` | `glDepthFunc(int func)`
`static void` | `glDepthMask(boolean flag)`
`static void` | `glDepthRange(double zNear, double zFar)`
`static void` | `glDisable(int cap)`
`static void` | `glDisableClientState(int cap)`
`static void` | `glDrawArrays(int mode, int first, int count)`
`static void` | `glDrawBuffer(int mode)`
`static void` | `glDrawElements(int mode, java.nio.ByteBuffer indices)`
`static void` | `glDrawElements(int mode, java.nio.IntBuffer indices)`
`static void` | `glDrawElements(int mode, int count, int type, long indices_buffer_offset)`
`static void` | `glDrawElements(int mode, java.nio.ShortBuffer indices)`
`static void` | `glDrawPixels(int width, int height, int format, int type, java.nio.ByteBuffer pixels)`
`static void` | `glDrawPixels(int width, int height, int format, int type, java.nio.IntBuffer pixels)`
`static void` | `glDrawPixels(int width, int height, int format, int type, long pixels_buffer_offset)`
`static void` | `glDrawPixels(int width, int height, int format, int type, java.nio.ShortBuffer pixels)`
`static void` | `glEdgeFlag(boolean flag)`
`static void` | `glEdgeFlagPointer(int stride, java.nio.ByteBuffer pointer)`
`static void` | `glEdgeFlagPointer(int stride, long pointer_buffer_offset)`
`static void` | `glEnable(int cap)`
`static void` | `glEnableClientState(int cap)`
`static void` | `glEnd()`
`static void` | `glEndList()`
`static void` | `glEvalCoord1d(double u)`
`static void` | `glEvalCoord1f(float u)`
`static void` | `glEvalCoord2d(double u, double v)`
`static void` | `glEvalCoord2f(float u, float v)`
`static void` | `glEvalMesh1(int mode, int i1, int i2)`
`static void` | `glEvalMesh2(int mode, int i1, int i2, int j1, int j2)`
`static void` | `glEvalPoint1(int i)`
`static void` | `glEvalPoint2(int i, int j)`
`static void` | `glFeedbackBuffer(int type, java.nio.FloatBuffer buffer)`
`static void` | `glFinish()`
`static void` | `glFlush()`
`static void` | `glFog(int pname, java.nio.FloatBuffer params)`
`static void` | `glFog(int pname, java.nio.IntBuffer params)`
`static void` | `glFogf(int pname, float param)`
`static void` | `glFogi(int pname, int param)`
`static void` | `glFrontFace(int mode)`
`static void` | `glFrustum(double left, double right, double bottom, double top, double zNear, double zFar)`
`static int` | `glGenLists(int range)`
`static void` | `glGenTextures(java.nio.IntBuffer textures)`
`static void` | `glGetBoolean(int pname, java.nio.ByteBuffer params)`
`static void` | `glGetClipPlane(int plane, java.nio.DoubleBuffer equation)`
`static void` | `glGetDouble(int pname, java.nio.DoubleBuffer params)`
`static int` | `glGetError()`
`static void` | `glGetFloat(int pname, java.nio.FloatBuffer params)`
`static void` | `glGetInteger(int pname, java.nio.IntBuffer params)`
`static void` | `glGetLight(int light, int pname, java.nio.FloatBuffer params)`
`static void` | `glGetLight(int light, int pname, java.nio.IntBuffer params)`
`static void` | `glGetMap(int target, int query, java.nio.DoubleBuffer v)`
`static void` | `glGetMap(int target, int query, java.nio.FloatBuffer v)`
`static void` | `glGetMap(int target, int query, java.nio.IntBuffer v)`
`static void` | `glGetMaterial(int face, int pname, java.nio.FloatBuffer params)`
`static void` | `glGetMaterial(int face, int pname, java.nio.IntBuffer params)`
`static void` | `glGetPixelMap(int map, java.nio.FloatBuffer values)`
`static void` | `glGetPixelMapfv(int map, long values_buffer_offset)`
`static void` | `glGetPixelMapu(int map, java.nio.IntBuffer values)`
`static void` | `glGetPixelMapu(int map, java.nio.ShortBuffer values)`
`static void` | `glGetPixelMapuiv(int map, long values_buffer_offset)`
`static void` | `glGetPixelMapusv(int map, long values_buffer_offset)`
`static java.nio.ByteBuffer` | `glGetPointer(int pname, long result_size)`
`static void` | `glGetPolygonStipple(java.nio.ByteBuffer mask)`
`static void` | `glGetPolygonStipple(long mask_buffer_offset)`
`static java.lang.String` | `glGetString(int name)`
`static void` | `glGetTexEnv(int coord, int pname, java.nio.FloatBuffer params)`
`static void` | `glGetTexEnv(int coord, int pname, java.nio.IntBuffer params)`
`static void` | `glGetTexGen(int coord, int pname, java.nio.DoubleBuffer params)`
`static void` | `glGetTexGen(int coord, int pname, java.nio.FloatBuffer params)`
`static void` | `glGetTexGen(int coord, int pname, java.nio.IntBuffer params)`
`static void` | `glGetTexImage(int target, int level, int format, int type, java.nio.ByteBuffer pixels)`
`static void` | `glGetTexImage(int target, int level, int format, int type, java.nio.DoubleBuffer pixels)`
`static void` | `glGetTexImage(int target, int level, int format, int type, java.nio.FloatBuffer pixels)`
`static void` | `glGetTexImage(int target, int level, int format, int type, java.nio.IntBuffer pixels)`
`static void` | `glGetTexImage(int target, int level, int format, int type, long pixels_buffer_offset)`
`static void` | `glGetTexImage(int target, int level, int format, int type, java.nio.ShortBuffer pixels)`
`static void` | `glGetTexLevelParameter(int target, int level, int pname, java.nio.FloatBuffer params)`
`static void` | `glGetTexLevelParameter(int target, int level, int pname, java.nio.IntBuffer params)`
`static void` | `glGetTexParameter(int target, int pname, java.nio.FloatBuffer params)`
`static void` | `glGetTexParameter(int target, int pname, java.nio.IntBuffer params)`
`static void` | `glHint(int target, int mode)`
`static void` | `glInitNames()`
`static void` | `glInterleavedArrays(int format, int stride, java.nio.ByteBuffer pointer)`
`static void` | `glInterleavedArrays(int format, int stride, java.nio.DoubleBuffer pointer)`
`static void` | `glInterleavedArrays(int format, int stride, java.nio.FloatBuffer pointer)`
`static void` | `glInterleavedArrays(int format, int stride, java.nio.IntBuffer pointer)`
`static void` | `glInterleavedArrays(int format, int stride, long pointer_buffer_offset)`
`static void` | `glInterleavedArrays(int format, int stride, java.nio.ShortBuffer pointer)`
`static boolean` | `glIsEnabled(int cap)`
`static boolean` | `glIsList(int list)`
`static boolean` | `glIsTexture(int texture)`
`static void` | `glLight(int light, int pname, java.nio.FloatBuffer params)`
`static void` | `glLight(int light, int pname, java.nio.IntBuffer params)`
`static void` | `glLightf(int light, int pname, float param)`
`static void` | `glLighti(int light, int pname, int param)`
`static void` | `glLightModel(int pname, java.nio.FloatBuffer params)`
`static void` | `glLightModel(int pname, java.nio.IntBuffer params)`
`static void` | `glLightModelf(int pname, float param)`
`static void` | `glLightModeli(int pname, int param)`
`static void` | `glLineStipple(int factor, short pattern)`
`static void` | `glLineWidth(float width)`
`static void` | `glListBase(int base)`
`static void` | `glLoadIdentity()`
`static void` | `glLoadMatrix(java.nio.DoubleBuffer m)`
`static void` | `glLoadMatrix(java.nio.FloatBuffer m)`
`static void` | `glLoadName(int name)`
`static void` | `glLogicOp(int opcode)`
`static void` | `glMap1d(int target, double u1, double u2, int stride, int order, java.nio.DoubleBuffer points)`
`static void` | `glMap1f(int target, float u1, float u2, int stride, int order, java.nio.FloatBuffer points)`
`static void` | `glMap2d(int target, double u1, double u2, int ustride, int uorder, double v1, double v2, int vstride, int vorder, java.nio.DoubleBuffer points)`
`static void` | `glMap2f(int target, float u1, float u2, int ustride, int uorder, float v1, float v2, int vstride, int vorder, java.nio.FloatBuffer points)`
`static void` | `glMapGrid1d(int un, double u1, double u2)`
`static void` | `glMapGrid1f(int un, float u1, float u2)`
`static void` | `glMapGrid2d(int un, double u1, double u2, int vn, double v1, double v2)`
`static void` | `glMapGrid2f(int un, float u1, float u2, int vn, float v1, float v2)`
`static void` | `glMaterial(int face, int pname, java.nio.FloatBuffer params)`
`static void` | `glMaterial(int face, int pname, java.nio.IntBuffer params)`
`static void` | `glMaterialf(int face, int pname, float param)`
`static void` | `glMateriali(int face, int pname, int param)`
`static void` | `glMatrixMode(int mode)`
`static void` | `glMultMatrix(java.nio.DoubleBuffer m)`
`static void` | `glMultMatrix(java.nio.FloatBuffer m)`
`static void` | `glNewList(int list, int mode)`
`static void` | `glNormal3b(byte nx, byte ny, byte nz)`
`static void` | `glNormal3d(double nx, double ny, double nz)`
`static void` | `glNormal3f(float nx, float ny, float nz)`
`static void` | `glNormal3i(int nx, int ny, int nz)`
`static void` | `glNormalPointer(int stride, java.nio.ByteBuffer pointer)`
`static void` | `glNormalPointer(int stride, java.nio.DoubleBuffer pointer)`
`static void` | `glNormalPointer(int stride, java.nio.FloatBuffer pointer)`
`static void` | `glNormalPointer(int stride, java.nio.IntBuffer pointer)`
`static void` | `glNormalPointer(int type, int stride, long pointer_buffer_offset)`
`static void` | `glOrtho(double left, double right, double bottom, double top, double zNear, double zFar)`
`static void` | `glPassThrough(float token)`
`static void` | `glPixelMap(int map, java.nio.FloatBuffer values)`
`static void` | `glPixelMapfv(int map, int mapsize, long values_buffer_offset)`
`static void` | `glPixelMapu(int map, java.nio.IntBuffer values)`
`static void` | `glPixelMapu(int map, java.nio.ShortBuffer values)`
`static void` | `glPixelMapuiv(int map, int mapsize, long values_buffer_offset)`
`static void` | `glPixelMapusv(int map, int mapsize, long values_buffer_offset)`
`static void` | `glPixelStoref(int pname, float param)`
`static void` | `glPixelStorei(int pname, int param)`
`static void` | `glPixelTransferf(int pname, float param)`
`static void` | `glPixelTransferi(int pname, int param)`
`static void` | `glPixelZoom(float xfactor, float yfactor)`
`static void` | `glPointSize(float size)`
`static void` | `glPolygonMode(int face, int mode)`
`static void` | `glPolygonOffset(float factor, float units)`
`static void` | `glPolygonStipple(java.nio.ByteBuffer mask)`
`static void` | `glPolygonStipple(long mask_buffer_offset)`
`static void` | `glPopAttrib()`
`static void` | `glPopClientAttrib()`
`static void` | `glPopMatrix()`
`static void` | `glPopName()`
`static void` | `glPrioritizeTextures(java.nio.IntBuffer textures, java.nio.FloatBuffer priorities)`
`static void` | `glPushAttrib(int mask)`
`static void` | `glPushClientAttrib(int mask)`
`static void` | `glPushMatrix()`
`static void` | `glPushName(int name)`
`static void` | `glRasterPos2d(double x, double y)`
`static void` | `glRasterPos2f(float x, float y)`
`static void` | `glRasterPos2i(int x, int y)`
`static void` | `glRasterPos3d(double x, double y, double z)`
`static void` | `glRasterPos3f(float x, float y, float z)`
`static void` | `glRasterPos3i(int x, int y, int z)`
`static void` | `glRasterPos4d(double x, double y, double z, double w)`
`static void` | `glRasterPos4f(float x, float y, float z, float w)`
`static void` | `glRasterPos4i(int x, int y, int z, int w)`
`static void` | `glReadBuffer(int mode)`
`static void` | `glReadPixels(int x, int y, int width, int height, int format, int type, java.nio.ByteBuffer pixels)`
`static void` | `glReadPixels(int x, int y, int width, int height, int format, int type, java.nio.DoubleBuffer pixels)`
`static void` | `glReadPixels(int x, int y, int width, int height, int format, int type, java.nio.FloatBuffer pixels)`
`static void` | `glReadPixels(int x, int y, int width, int height, int format, int type, java.nio.IntBuffer pixels)`
`static void` | `glReadPixels(int x, int y, int width, int height, int format, int type, long pixels_buffer_offset)`
`static void` | `glReadPixels(int x, int y, int width, int height, int format, int type, java.nio.ShortBuffer pixels)`
`static void` | `glRectd(double x1, double y1, double x2, double y2)`
`static void` | `glRectf(float x1, float y1, float x2, float y2)`
`static void` | `glRecti(int x1, int y1, int x2, int y2)`
`static int` | `glRenderMode(int mode)`
`static void` | `glRotatef(float angle, float x, float y, float z)`
`static void` | `glScaled(double x, double y, double z)`
`static void` | `glScalef(float x, float y, float z)`
`static void` | `glScissor(int x, int y, int width, int height)`
`static void` | `glSelectBuffer(java.nio.IntBuffer buffer)`
`static void` | `glShadeModel(int mode)`
`static void` | `glStencilFunc(int func, int ref, int mask)`
`static void` | `glStencilMask(int mask)`
`static void` | `glStencilOp(int fail, int zfail, int zpass)`
`static void` | `glTexCoord1d(double s)`
`static void` | `glTexCoord1f(float s)`
`static void` | `glTexCoord2d(double s, double t)`
`static void` | `glTexCoord2f(float s, float t)`
`static void` | `glTexCoord3d(double s, double t, double r)`
`static void` | `glTexCoord3f(float s, float t, float r)`
`static void` | `glTexCoord4d(double s, double t, double r, double q)`
`static void` | `glTexCoord4f(float s, float t, float r, float q)`
`static void` | `glTexCoordPointer(int size, int stride, java.nio.DoubleBuffer pointer)`
`static void` | `glTexCoordPointer(int size, int stride, java.nio.FloatBuffer pointer)`
`static void` | `glTexCoordPointer(int size, int type, int stride, long pointer_buffer_offset)`
`static void` | `glTexEnv(int target, int pname, java.nio.FloatBuffer params)`
`static void` | `glTexEnv(int target, int pname, java.nio.IntBuffer params)`
`static void` | `glTexEnvf(int target, int pname, float param)`
`static void` | `glTexEnvi(int target, int pname, int param)`
`static void` | `glTexGen(int coord, int pname, java.nio.DoubleBuffer params)`
`static void` | `glTexGen(int coord, int pname, java.nio.FloatBuffer params)`
`static void` | `glTexGen(int coord, int pname, java.nio.IntBuffer params)`
`static void` | `glTexGend(int coord, int pname, double param)`
`static void` | `glTexGenf(int coord, int pname, float param)`
`static void` | `glTexGeni(int coord, int pname, int param)`
`static void` | `glTexImage1D(int target, int level, int internalformat, int width, int border, int format, int type, java.nio.ByteBuffer pixels)`
`static void` | `glTexImage1D(int target, int level, int internalformat, int width, int border, int format, int type, java.nio.DoubleBuffer pixels)`
`static void` | `glTexImage1D(int target, int level, int internalformat, int width, int border, int format, int type, java.nio.FloatBuffer pixels)`
`static void` | `glTexImage1D(int target, int level, int internalformat, int width, int border, int format, int type, java.nio.IntBuffer pixels)`
`static void` | `glTexImage1D(int target, int level, int internalformat, int width, int border, int format, int type, long pixels_buffer_offset)`
`static void` | `glTexImage1D(int target, int level, int internalformat, int width, int border, int format, int type, java.nio.ShortBuffer pixels)`
`static void` | `glTexImage2D(int target, int level, int internalformat, int width, int height, int border, int format, int type, java.nio.ByteBuffer pixels)`
`static void` | `glTexImage2D(int target, int level, int internalformat, int width, int height, int border, int format, int type, java.nio.DoubleBuffer pixels)`
`static void` | `glTexImage2D(int target, int level, int internalformat, int width, int height, int border, int format, int type, java.nio.FloatBuffer pixels)`
`static void` | `glTexImage2D(int target, int level, int internalformat, int width, int height, int border, int format, int type, java.nio.IntBuffer pixels)`
`static void` | `glTexImage2D(int target, int level, int internalformat, int width, int height, int border, int format, int type, long pixels_buffer_offset)`
`static void` | `glTexImage2D(int target, int level, int internalformat, int width, int height, int border, int format, int type, java.nio.ShortBuffer pixels)`
`static void` | `glTexParameter(int target, int pname, java.nio.FloatBuffer param)`
`static void` | `glTexParameter(int target, int pname, java.nio.IntBuffer param)`
`static void` | `glTexParameterf(int target, int pname, float param)`
`static void` | `glTexParameteri(int target, int pname, int param)`
`static void` | `glTexSubImage1D(int target, int level, int xoffset, int width, int format, int type, java.nio.ByteBuffer pixels)`
`static void` | `glTexSubImage1D(int target, int level, int xoffset, int width, int format, int type, java.nio.DoubleBuffer pixels)`
`static void` | `glTexSubImage1D(int target, int level, int xoffset, int width, int format, int type, java.nio.FloatBuffer pixels)`
`static void` | `glTexSubImage1D(int target, int level, int xoffset, int width, int format, int type, java.nio.IntBuffer pixels)`
`static void` | `glTexSubImage1D(int target, int level, int xoffset, int width, int format, int type, long pixels_buffer_offset)`
`static void` | `glTexSubImage1D(int target, int level, int xoffset, int width, int format, int type, java.nio.ShortBuffer pixels)`
`static void` | `glTexSubImage2D(int target, int level, int xoffset, int yoffset, int width, int height, int format, int type, java.nio.ByteBuffer pixels)`
`static void` | `glTexSubImage2D(int target, int level, int xoffset, int yoffset, int width, int height, int format, int type, java.nio.DoubleBuffer pixels)`
`static void` | `glTexSubImage2D(int target, int level, int xoffset, int yoffset, int width, int height, int format, int type, java.nio.FloatBuffer pixels)`
`static void` | `glTexSubImage2D(int target, int level, int xoffset, int yoffset, int width, int height, int format, int type, java.nio.IntBuffer pixels)`
`static void` | `glTexSubImage2D(int target, int level, int xoffset, int yoffset, int width, int height, int format, int type, long pixels_buffer_offset)`
`static void` | `glTexSubImage2D(int target, int level, int xoffset, int yoffset, int width, int height, int format, int type, java.nio.ShortBuffer pixels)`
`static void` | `glTranslated(double x, double y, double z)`
`static void` | `glTranslatef(float x, float y, float z)`
`static void` | `glVertex2d(double x, double y)`
`static void` | `glVertex2f(float x, float y)`
`static void` | `glVertex2i(int x, int y)`
`static void` | `glVertex3d(double x, double y, double z)`
`static void` | `glVertex3f(float x, float y, float z)`
`static void` | `glVertex3i(int x, int y, int z)`
`static void` | `glVertex4d(double x, double y, double z, double w)`
`static void` | `glVertex4f(float x, float y, float z, float w)`
`static void` | `glVertex4i(int x, int y, int z, int w)`
`static void` | `glVertexPointer(int size, int stride, java.nio.DoubleBuffer pointer)`
`static void` | `glVertexPointer(int size, int stride, java.nio.FloatBuffer pointer)`
`static void` | `glVertexPointer(int size, int stride, java.nio.IntBuffer pointer)`
`static void` | `glVertexPointer(int size, int type, int stride, long pointer_buffer_offset)`
`static void` | `glViewport(int x, int y, int width, int height)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GL_ACCUM

    public static final int GL_ACCUM

See Also:
  Constant Field Values

### GL_LOAD

    public static final int GL_LOAD

See Also:
  Constant Field Values

### GL_RETURN

    public static final int GL_RETURN

See Also:
  Constant Field Values

### GL_MULT

    public static final int GL_MULT

See Also:
  Constant Field Values

### GL_ADD

    public static final int GL_ADD

See Also:
  Constant Field Values

### GL_NEVER

    public static final int GL_NEVER

See Also:
  Constant Field Values

### GL_LESS

    public static final int GL_LESS

See Also:
  Constant Field Values

### GL_EQUAL

    public static final int GL_EQUAL

See Also:
  Constant Field Values

### GL_LEQUAL

    public static final int GL_LEQUAL

See Also:
  Constant Field Values

### GL_GREATER

    public static final int GL_GREATER

See Also:
  Constant Field Values

### GL_NOTEQUAL

    public static final int GL_NOTEQUAL

See Also:
  Constant Field Values

### GL_GEQUAL

    public static final int GL_GEQUAL

See Also:
  Constant Field Values

### GL_ALWAYS

    public static final int GL_ALWAYS

See Also:
  Constant Field Values

### GL_CURRENT_BIT

    public static final int GL_CURRENT_BIT

See Also:
  Constant Field Values

### GL_POINT_BIT

    public static final int GL_POINT_BIT

See Also:
  Constant Field Values

### GL_LINE_BIT

    public static final int GL_LINE_BIT

See Also:
  Constant Field Values

### GL_POLYGON_BIT

    public static final int GL_POLYGON_BIT

See Also:
  Constant Field Values

### GL_POLYGON_STIPPLE_BIT

    public static final int GL_POLYGON_STIPPLE_BIT

See Also:
  Constant Field Values

### GL_PIXEL_MODE_BIT

    public static final int GL_PIXEL_MODE_BIT

See Also:
  Constant Field Values

### GL_LIGHTING_BIT

    public static final int GL_LIGHTING_BIT

See Also:
  Constant Field Values

### GL_FOG_BIT

    public static final int GL_FOG_BIT

See Also:
  Constant Field Values

### GL_DEPTH_BUFFER_BIT

    public static final int GL_DEPTH_BUFFER_BIT

See Also:
  Constant Field Values

### GL_ACCUM_BUFFER_BIT

    public static final int GL_ACCUM_BUFFER_BIT

See Also:
  Constant Field Values

### GL_STENCIL_BUFFER_BIT

    public static final int GL_STENCIL_BUFFER_BIT

See Also:
  Constant Field Values

### GL_VIEWPORT_BIT

    public static final int GL_VIEWPORT_BIT

See Also:
  Constant Field Values

### GL_TRANSFORM_BIT

    public static final int GL_TRANSFORM_BIT

See Also:
  Constant Field Values

### GL_ENABLE_BIT

    public static final int GL_ENABLE_BIT

See Also:
  Constant Field Values

### GL_COLOR_BUFFER_BIT

    public static final int GL_COLOR_BUFFER_BIT

See Also:
  Constant Field Values

### GL_HINT_BIT

    public static final int GL_HINT_BIT

See Also:
  Constant Field Values

### GL_EVAL_BIT

    public static final int GL_EVAL_BIT

See Also:
  Constant Field Values

### GL_LIST_BIT

    public static final int GL_LIST_BIT

See Also:
  Constant Field Values

### GL_TEXTURE_BIT

    public static final int GL_TEXTURE_BIT

See Also:
  Constant Field Values

### GL_SCISSOR_BIT

    public static final int GL_SCISSOR_BIT

See Also:
  Constant Field Values

### GL_ALL_ATTRIB_BITS

    public static final int GL_ALL_ATTRIB_BITS

See Also:
  Constant Field Values

### GL_POINTS

    public static final int GL_POINTS

See Also:
  Constant Field Values

### GL_LINES

    public static final int GL_LINES

See Also:
  Constant Field Values

### GL_LINE_LOOP

    public static final int GL_LINE_LOOP

See Also:
  Constant Field Values

### GL_LINE_STRIP

    public static final int GL_LINE_STRIP

See Also:
  Constant Field Values

### GL_TRIANGLES

    public static final int GL_TRIANGLES

See Also:
  Constant Field Values

### GL_TRIANGLE_STRIP

    public static final int GL_TRIANGLE_STRIP

See Also:
  Constant Field Values

### GL_TRIANGLE_FAN

    public static final int GL_TRIANGLE_FAN

See Also:
  Constant Field Values

### GL_QUADS

    public static final int GL_QUADS

See Also:
  Constant Field Values

### GL_QUAD_STRIP

    public static final int GL_QUAD_STRIP

See Also:
  Constant Field Values

### GL_POLYGON

    public static final int GL_POLYGON

See Also:
  Constant Field Values

### GL_ZERO

    public static final int GL_ZERO

See Also:
  Constant Field Values

### GL_ONE

    public static final int GL_ONE

See Also:
  Constant Field Values

### GL_SRC_COLOR

    public static final int GL_SRC_COLOR

See Also:
  Constant Field Values

### GL_ONE_MINUS_SRC_COLOR

    public static final int GL_ONE_MINUS_SRC_COLOR

See Also:
  Constant Field Values

### GL_SRC_ALPHA

    public static final int GL_SRC_ALPHA

See Also:
  Constant Field Values

### GL_ONE_MINUS_SRC_ALPHA

    public static final int GL_ONE_MINUS_SRC_ALPHA

See Also:
  Constant Field Values

### GL_DST_ALPHA

    public static final int GL_DST_ALPHA

See Also:
  Constant Field Values

### GL_ONE_MINUS_DST_ALPHA

    public static final int GL_ONE_MINUS_DST_ALPHA

See Also:
  Constant Field Values

### GL_DST_COLOR

    public static final int GL_DST_COLOR

See Also:
  Constant Field Values

### GL_ONE_MINUS_DST_COLOR

    public static final int GL_ONE_MINUS_DST_COLOR

See Also:
  Constant Field Values

### GL_SRC_ALPHA_SATURATE

    public static final int GL_SRC_ALPHA_SATURATE

See Also:
  Constant Field Values

### GL_CONSTANT_COLOR

    public static final int GL_CONSTANT_COLOR

See Also:
  Constant Field Values

### GL_ONE_MINUS_CONSTANT_COLOR

    public static final int GL_ONE_MINUS_CONSTANT_COLOR

See Also:
  Constant Field Values

### GL_CONSTANT_ALPHA

    public static final int GL_CONSTANT_ALPHA

See Also:
  Constant Field Values

### GL_ONE_MINUS_CONSTANT_ALPHA

    public static final int GL_ONE_MINUS_CONSTANT_ALPHA

See Also:
  Constant Field Values

### GL_TRUE

    public static final int GL_TRUE

See Also:
  Constant Field Values

### GL_FALSE

    public static final int GL_FALSE

See Also:
  Constant Field Values

### GL_CLIP_PLANE0

    public static final int GL_CLIP_PLANE0

See Also:
  Constant Field Values

### GL_CLIP_PLANE1

    public static final int GL_CLIP_PLANE1

See Also:
  Constant Field Values

### GL_CLIP_PLANE2

    public static final int GL_CLIP_PLANE2

See Also:
  Constant Field Values

### GL_CLIP_PLANE3

    public static final int GL_CLIP_PLANE3

See Also:
  Constant Field Values

### GL_CLIP_PLANE4

    public static final int GL_CLIP_PLANE4

See Also:
  Constant Field Values

### GL_CLIP_PLANE5

    public static final int GL_CLIP_PLANE5

See Also:
  Constant Field Values

### GL_BYTE

    public static final int GL_BYTE

See Also:
  Constant Field Values

### GL_UNSIGNED_BYTE

    public static final int GL_UNSIGNED_BYTE

See Also:
  Constant Field Values

### GL_SHORT

    public static final int GL_SHORT

See Also:
  Constant Field Values

### GL_UNSIGNED_SHORT

    public static final int GL_UNSIGNED_SHORT

See Also:
  Constant Field Values

### GL_INT

    public static final int GL_INT

See Also:
  Constant Field Values

### GL_UNSIGNED_INT

    public static final int GL_UNSIGNED_INT

See Also:
  Constant Field Values

### GL_FLOAT

    public static final int GL_FLOAT

See Also:
  Constant Field Values

### GL_2_BYTES

    public static final int GL_2_BYTES

See Also:
  Constant Field Values

### GL_3_BYTES

    public static final int GL_3_BYTES

See Also:
  Constant Field Values

### GL_4_BYTES

    public static final int GL_4_BYTES

See Also:
  Constant Field Values

### GL_DOUBLE

    public static final int GL_DOUBLE

See Also:
  Constant Field Values

### GL_NONE

    public static final int GL_NONE

See Also:
  Constant Field Values

### GL_FRONT_LEFT

    public static final int GL_FRONT_LEFT

See Also:
  Constant Field Values

### GL_FRONT_RIGHT

    public static final int GL_FRONT_RIGHT

See Also:
  Constant Field Values

### GL_BACK_LEFT

    public static final int GL_BACK_LEFT

See Also:
  Constant Field Values

### GL_BACK_RIGHT

    public static final int GL_BACK_RIGHT

See Also:
  Constant Field Values

### GL_FRONT

    public static final int GL_FRONT

See Also:
  Constant Field Values

### GL_BACK

    public static final int GL_BACK

See Also:
  Constant Field Values

### GL_LEFT

    public static final int GL_LEFT

See Also:
  Constant Field Values

### GL_RIGHT

    public static final int GL_RIGHT

See Also:
  Constant Field Values

### GL_FRONT_AND_BACK

    public static final int GL_FRONT_AND_BACK

See Also:
  Constant Field Values

### GL_AUX0

    public static final int GL_AUX0

See Also:
  Constant Field Values

### GL_AUX1

    public static final int GL_AUX1

See Also:
  Constant Field Values

### GL_AUX2

    public static final int GL_AUX2

See Also:
  Constant Field Values

### GL_AUX3

    public static final int GL_AUX3

See Also:
  Constant Field Values

### GL_NO_ERROR

    public static final int GL_NO_ERROR

See Also:
  Constant Field Values

### GL_INVALID_ENUM

    public static final int GL_INVALID_ENUM

See Also:
  Constant Field Values

### GL_INVALID_VALUE

    public static final int GL_INVALID_VALUE

See Also:
  Constant Field Values

### GL_INVALID_OPERATION

    public static final int GL_INVALID_OPERATION

See Also:
  Constant Field Values

### GL_STACK_OVERFLOW

    public static final int GL_STACK_OVERFLOW

See Also:
  Constant Field Values

### GL_STACK_UNDERFLOW

    public static final int GL_STACK_UNDERFLOW

See Also:
  Constant Field Values

### GL_OUT_OF_MEMORY

    public static final int GL_OUT_OF_MEMORY

See Also:
  Constant Field Values

### GL_2D

    public static final int GL_2D

See Also:
  Constant Field Values

### GL_3D

    public static final int GL_3D

See Also:
  Constant Field Values

### GL_3D_COLOR

    public static final int GL_3D_COLOR

See Also:
  Constant Field Values

### GL_3D_COLOR_TEXTURE

    public static final int GL_3D_COLOR_TEXTURE

See Also:
  Constant Field Values

### GL_4D_COLOR_TEXTURE

    public static final int GL_4D_COLOR_TEXTURE

See Also:
  Constant Field Values

### GL_PASS_THROUGH_TOKEN

    public static final int GL_PASS_THROUGH_TOKEN

See Also:
  Constant Field Values

### GL_POINT_TOKEN

    public static final int GL_POINT_TOKEN

See Also:
  Constant Field Values

### GL_LINE_TOKEN

    public static final int GL_LINE_TOKEN

See Also:
  Constant Field Values

### GL_POLYGON_TOKEN

    public static final int GL_POLYGON_TOKEN

See Also:
  Constant Field Values

### GL_BITMAP_TOKEN

    public static final int GL_BITMAP_TOKEN

See Also:
  Constant Field Values

### GL_DRAW_PIXEL_TOKEN

    public static final int GL_DRAW_PIXEL_TOKEN

See Also:
  Constant Field Values

### GL_COPY_PIXEL_TOKEN

    public static final int GL_COPY_PIXEL_TOKEN

See Also:
  Constant Field Values

### GL_LINE_RESET_TOKEN

    public static final int GL_LINE_RESET_TOKEN

See Also:
  Constant Field Values

### GL_EXP

    public static final int GL_EXP

See Also:
  Constant Field Values

### GL_EXP2

    public static final int GL_EXP2

See Also:
  Constant Field Values

### GL_CW

    public static final int GL_CW

See Also:
  Constant Field Values

### GL_CCW

    public static final int GL_CCW

See Also:
  Constant Field Values

### GL_COEFF

    public static final int GL_COEFF

See Also:
  Constant Field Values

### GL_ORDER

    public static final int GL_ORDER

See Also:
  Constant Field Values

### GL_DOMAIN

    public static final int GL_DOMAIN

See Also:
  Constant Field Values

### GL_CURRENT_COLOR

    public static final int GL_CURRENT_COLOR

See Also:
  Constant Field Values

### GL_CURRENT_INDEX

    public static final int GL_CURRENT_INDEX

See Also:
  Constant Field Values

### GL_CURRENT_NORMAL

    public static final int GL_CURRENT_NORMAL

See Also:
  Constant Field Values

### GL_CURRENT_TEXTURE_COORDS

    public static final int GL_CURRENT_TEXTURE_COORDS

See Also:
  Constant Field Values

### GL_CURRENT_RASTER_COLOR

    public static final int GL_CURRENT_RASTER_COLOR

See Also:
  Constant Field Values

### GL_CURRENT_RASTER_INDEX

    public static final int GL_CURRENT_RASTER_INDEX

See Also:
  Constant Field Values

### GL_CURRENT_RASTER_TEXTURE_COORDS

    public static final int GL_CURRENT_RASTER_TEXTURE_COORDS

See Also:
  Constant Field Values

### GL_CURRENT_RASTER_POSITION

    public static final int GL_CURRENT_RASTER_POSITION

See Also:
  Constant Field Values

### GL_CURRENT_RASTER_POSITION_VALID

    public static final int GL_CURRENT_RASTER_POSITION_VALID

See Also:
  Constant Field Values

### GL_CURRENT_RASTER_DISTANCE

    public static final int GL_CURRENT_RASTER_DISTANCE

See Also:
  Constant Field Values

### GL_POINT_SMOOTH

    public static final int GL_POINT_SMOOTH

See Also:
  Constant Field Values

### GL_POINT_SIZE

    public static final int GL_POINT_SIZE

See Also:
  Constant Field Values

### GL_POINT_SIZE_RANGE

    public static final int GL_POINT_SIZE_RANGE

See Also:
  Constant Field Values

### GL_POINT_SIZE_GRANULARITY

    public static final int GL_POINT_SIZE_GRANULARITY

See Also:
  Constant Field Values

### GL_LINE_SMOOTH

    public static final int GL_LINE_SMOOTH

See Also:
  Constant Field Values

### GL_LINE_WIDTH

    public static final int GL_LINE_WIDTH

See Also:
  Constant Field Values

### GL_LINE_WIDTH_RANGE

    public static final int GL_LINE_WIDTH_RANGE

See Also:
  Constant Field Values

### GL_LINE_WIDTH_GRANULARITY

    public static final int GL_LINE_WIDTH_GRANULARITY

See Also:
  Constant Field Values

### GL_LINE_STIPPLE

    public static final int GL_LINE_STIPPLE

See Also:
  Constant Field Values

### GL_LINE_STIPPLE_PATTERN

    public static final int GL_LINE_STIPPLE_PATTERN

See Also:
  Constant Field Values

### GL_LINE_STIPPLE_REPEAT

    public static final int GL_LINE_STIPPLE_REPEAT

See Also:
  Constant Field Values

### GL_LIST_MODE

    public static final int GL_LIST_MODE

See Also:
  Constant Field Values

### GL_MAX_LIST_NESTING

    public static final int GL_MAX_LIST_NESTING

See Also:
  Constant Field Values

### GL_LIST_BASE

    public static final int GL_LIST_BASE

See Also:
  Constant Field Values

### GL_LIST_INDEX

    public static final int GL_LIST_INDEX

See Also:
  Constant Field Values

### GL_POLYGON_MODE

    public static final int GL_POLYGON_MODE

See Also:
  Constant Field Values

### GL_POLYGON_SMOOTH

    public static final int GL_POLYGON_SMOOTH

See Also:
  Constant Field Values

### GL_POLYGON_STIPPLE

    public static final int GL_POLYGON_STIPPLE

See Also:
  Constant Field Values

### GL_EDGE_FLAG

    public static final int GL_EDGE_FLAG

See Also:
  Constant Field Values

### GL_CULL_FACE

    public static final int GL_CULL_FACE

See Also:
  Constant Field Values

### GL_CULL_FACE_MODE

    public static final int GL_CULL_FACE_MODE

See Also:
  Constant Field Values

### GL_FRONT_FACE

    public static final int GL_FRONT_FACE

See Also:
  Constant Field Values

### GL_LIGHTING

    public static final int GL_LIGHTING

See Also:
  Constant Field Values

### GL_LIGHT_MODEL_LOCAL_VIEWER

    public static final int GL_LIGHT_MODEL_LOCAL_VIEWER

See Also:
  Constant Field Values

### GL_LIGHT_MODEL_TWO_SIDE

    public static final int GL_LIGHT_MODEL_TWO_SIDE

See Also:
  Constant Field Values

### GL_LIGHT_MODEL_AMBIENT

    public static final int GL_LIGHT_MODEL_AMBIENT

See Also:
  Constant Field Values

### GL_SHADE_MODEL

    public static final int GL_SHADE_MODEL

See Also:
  Constant Field Values

### GL_COLOR_MATERIAL_FACE

    public static final int GL_COLOR_MATERIAL_FACE

See Also:
  Constant Field Values

### GL_COLOR_MATERIAL_PARAMETER

    public static final int GL_COLOR_MATERIAL_PARAMETER

See Also:
  Constant Field Values

### GL_COLOR_MATERIAL

    public static final int GL_COLOR_MATERIAL

See Also:
  Constant Field Values

### GL_FOG

    public static final int GL_FOG

See Also:
  Constant Field Values

### GL_FOG_INDEX

    public static final int GL_FOG_INDEX

See Also:
  Constant Field Values

### GL_FOG_DENSITY

    public static final int GL_FOG_DENSITY

See Also:
  Constant Field Values

### GL_FOG_START

    public static final int GL_FOG_START

See Also:
  Constant Field Values

### GL_FOG_END

    public static final int GL_FOG_END

See Also:
  Constant Field Values

### GL_FOG_MODE

    public static final int GL_FOG_MODE

See Also:
  Constant Field Values

### GL_FOG_COLOR

    public static final int GL_FOG_COLOR

See Also:
  Constant Field Values

### GL_DEPTH_RANGE

    public static final int GL_DEPTH_RANGE

See Also:
  Constant Field Values

### GL_DEPTH_TEST

    public static final int GL_DEPTH_TEST

See Also:
  Constant Field Values

### GL_DEPTH_WRITEMASK

    public static final int GL_DEPTH_WRITEMASK

See Also:
  Constant Field Values

### GL_DEPTH_CLEAR_VALUE

    public static final int GL_DEPTH_CLEAR_VALUE

See Also:
  Constant Field Values

### GL_DEPTH_FUNC

    public static final int GL_DEPTH_FUNC

See Also:
  Constant Field Values

### GL_ACCUM_CLEAR_VALUE

    public static final int GL_ACCUM_CLEAR_VALUE

See Also:
  Constant Field Values

### GL_STENCIL_TEST

    public static final int GL_STENCIL_TEST

See Also:
  Constant Field Values

### GL_STENCIL_CLEAR_VALUE

    public static final int GL_STENCIL_CLEAR_VALUE

See Also:
  Constant Field Values

### GL_STENCIL_FUNC

    public static final int GL_STENCIL_FUNC

See Also:
  Constant Field Values

### GL_STENCIL_VALUE_MASK

    public static final int GL_STENCIL_VALUE_MASK

See Also:
  Constant Field Values

### GL_STENCIL_FAIL

    public static final int GL_STENCIL_FAIL

See Also:
  Constant Field Values

### GL_STENCIL_PASS_DEPTH_FAIL

    public static final int GL_STENCIL_PASS_DEPTH_FAIL

See Also:
  Constant Field Values

### GL_STENCIL_PASS_DEPTH_PASS

    public static final int GL_STENCIL_PASS_DEPTH_PASS

See Also:
  Constant Field Values

### GL_STENCIL_REF

    public static final int GL_STENCIL_REF

See Also:
  Constant Field Values

### GL_STENCIL_WRITEMASK

    public static final int GL_STENCIL_WRITEMASK

See Also:
  Constant Field Values

### GL_MATRIX_MODE

    public static final int GL_MATRIX_MODE

See Also:
  Constant Field Values

### GL_NORMALIZE

    public static final int GL_NORMALIZE

See Also:
  Constant Field Values

### GL_VIEWPORT

    public static final int GL_VIEWPORT

See Also:
  Constant Field Values

### GL_MODELVIEW_STACK_DEPTH

    public static final int GL_MODELVIEW_STACK_DEPTH

See Also:
  Constant Field Values

### GL_PROJECTION_STACK_DEPTH

    public static final int GL_PROJECTION_STACK_DEPTH

See Also:
  Constant Field Values

### GL_TEXTURE_STACK_DEPTH

    public static final int GL_TEXTURE_STACK_DEPTH

See Also:
  Constant Field Values

### GL_MODELVIEW_MATRIX

    public static final int GL_MODELVIEW_MATRIX

See Also:
  Constant Field Values

### GL_PROJECTION_MATRIX

    public static final int GL_PROJECTION_MATRIX

See Also:
  Constant Field Values

### GL_TEXTURE_MATRIX

    public static final int GL_TEXTURE_MATRIX

See Also:
  Constant Field Values

### GL_ATTRIB_STACK_DEPTH

    public static final int GL_ATTRIB_STACK_DEPTH

See Also:
  Constant Field Values

### GL_CLIENT_ATTRIB_STACK_DEPTH

    public static final int GL_CLIENT_ATTRIB_STACK_DEPTH

See Also:
  Constant Field Values

### GL_ALPHA_TEST

    public static final int GL_ALPHA_TEST

See Also:
  Constant Field Values

### GL_ALPHA_TEST_FUNC

    public static final int GL_ALPHA_TEST_FUNC

See Also:
  Constant Field Values

### GL_ALPHA_TEST_REF

    public static final int GL_ALPHA_TEST_REF

See Also:
  Constant Field Values

### GL_DITHER

    public static final int GL_DITHER

See Also:
  Constant Field Values

### GL_BLEND_DST

    public static final int GL_BLEND_DST

See Also:
  Constant Field Values

### GL_BLEND_SRC

    public static final int GL_BLEND_SRC

See Also:
  Constant Field Values

### GL_BLEND

    public static final int GL_BLEND

See Also:
  Constant Field Values

### GL_LOGIC_OP_MODE

    public static final int GL_LOGIC_OP_MODE

See Also:
  Constant Field Values

### GL_INDEX_LOGIC_OP

    public static final int GL_INDEX_LOGIC_OP

See Also:
  Constant Field Values

### GL_COLOR_LOGIC_OP

    public static final int GL_COLOR_LOGIC_OP

See Also:
  Constant Field Values

### GL_AUX_BUFFERS

    public static final int GL_AUX_BUFFERS

See Also:
  Constant Field Values

### GL_DRAW_BUFFER

    public static final int GL_DRAW_BUFFER

See Also:
  Constant Field Values

### GL_READ_BUFFER

    public static final int GL_READ_BUFFER

See Also:
  Constant Field Values

### GL_SCISSOR_BOX

    public static final int GL_SCISSOR_BOX

See Also:
  Constant Field Values

### GL_SCISSOR_TEST

    public static final int GL_SCISSOR_TEST

See Also:
  Constant Field Values

### GL_INDEX_CLEAR_VALUE

    public static final int GL_INDEX_CLEAR_VALUE

See Also:
  Constant Field Values

### GL_INDEX_WRITEMASK

    public static final int GL_INDEX_WRITEMASK

See Also:
  Constant Field Values

### GL_COLOR_CLEAR_VALUE

    public static final int GL_COLOR_CLEAR_VALUE

See Also:
  Constant Field Values

### GL_COLOR_WRITEMASK

    public static final int GL_COLOR_WRITEMASK

See Also:
  Constant Field Values

### GL_INDEX_MODE

    public static final int GL_INDEX_MODE

See Also:
  Constant Field Values

### GL_RGBA_MODE

    public static final int GL_RGBA_MODE

See Also:
  Constant Field Values

### GL_DOUBLEBUFFER

    public static final int GL_DOUBLEBUFFER

See Also:
  Constant Field Values

### GL_STEREO

    public static final int GL_STEREO

See Also:
  Constant Field Values

### GL_RENDER_MODE

    public static final int GL_RENDER_MODE

See Also:
  Constant Field Values

### GL_PERSPECTIVE_CORRECTION_HINT

    public static final int GL_PERSPECTIVE_CORRECTION_HINT

See Also:
  Constant Field Values

### GL_POINT_SMOOTH_HINT

    public static final int GL_POINT_SMOOTH_HINT

See Also:
  Constant Field Values

### GL_LINE_SMOOTH_HINT

    public static final int GL_LINE_SMOOTH_HINT

See Also:
  Constant Field Values

### GL_POLYGON_SMOOTH_HINT

    public static final int GL_POLYGON_SMOOTH_HINT

See Also:
  Constant Field Values

### GL_FOG_HINT

    public static final int GL_FOG_HINT

See Also:
  Constant Field Values

### GL_TEXTURE_GEN_S

    public static final int GL_TEXTURE_GEN_S

See Also:
  Constant Field Values

### GL_TEXTURE_GEN_T

    public static final int GL_TEXTURE_GEN_T

See Also:
  Constant Field Values

### GL_TEXTURE_GEN_R

    public static final int GL_TEXTURE_GEN_R

See Also:
  Constant Field Values

### GL_TEXTURE_GEN_Q

    public static final int GL_TEXTURE_GEN_Q

See Also:
  Constant Field Values

### GL_PIXEL_MAP_I_TO_I

    public static final int GL_PIXEL_MAP_I_TO_I

See Also:
  Constant Field Values

### GL_PIXEL_MAP_S_TO_S

    public static final int GL_PIXEL_MAP_S_TO_S

See Also:
  Constant Field Values

### GL_PIXEL_MAP_I_TO_R

    public static final int GL_PIXEL_MAP_I_TO_R

See Also:
  Constant Field Values

### GL_PIXEL_MAP_I_TO_G

    public static final int GL_PIXEL_MAP_I_TO_G

See Also:
  Constant Field Values

### GL_PIXEL_MAP_I_TO_B

    public static final int GL_PIXEL_MAP_I_TO_B

See Also:
  Constant Field Values

### GL_PIXEL_MAP_I_TO_A

    public static final int GL_PIXEL_MAP_I_TO_A

See Also:
  Constant Field Values

### GL_PIXEL_MAP_R_TO_R

    public static final int GL_PIXEL_MAP_R_TO_R

See Also:
  Constant Field Values

### GL_PIXEL_MAP_G_TO_G

    public static final int GL_PIXEL_MAP_G_TO_G

See Also:
  Constant Field Values

### GL_PIXEL_MAP_B_TO_B

    public static final int GL_PIXEL_MAP_B_TO_B

See Also:
  Constant Field Values

### GL_PIXEL_MAP_A_TO_A

    public static final int GL_PIXEL_MAP_A_TO_A

See Also:
  Constant Field Values

### GL_PIXEL_MAP_I_TO_I_SIZE

    public static final int GL_PIXEL_MAP_I_TO_I_SIZE

See Also:
  Constant Field Values

### GL_PIXEL_MAP_S_TO_S_SIZE

    public static final int GL_PIXEL_MAP_S_TO_S_SIZE

See Also:
  Constant Field Values

### GL_PIXEL_MAP_I_TO_R_SIZE

    public static final int GL_PIXEL_MAP_I_TO_R_SIZE

See Also:
  Constant Field Values

### GL_PIXEL_MAP_I_TO_G_SIZE

    public static final int GL_PIXEL_MAP_I_TO_G_SIZE

See Also:
  Constant Field Values

### GL_PIXEL_MAP_I_TO_B_SIZE

    public static final int GL_PIXEL_MAP_I_TO_B_SIZE

See Also:
  Constant Field Values

### GL_PIXEL_MAP_I_TO_A_SIZE

    public static final int GL_PIXEL_MAP_I_TO_A_SIZE

See Also:
  Constant Field Values

### GL_PIXEL_MAP_R_TO_R_SIZE

    public static final int GL_PIXEL_MAP_R_TO_R_SIZE

See Also:
  Constant Field Values

### GL_PIXEL_MAP_G_TO_G_SIZE

    public static final int GL_PIXEL_MAP_G_TO_G_SIZE

See Also:
  Constant Field Values

### GL_PIXEL_MAP_B_TO_B_SIZE

    public static final int GL_PIXEL_MAP_B_TO_B_SIZE

See Also:
  Constant Field Values

### GL_PIXEL_MAP_A_TO_A_SIZE

    public static final int GL_PIXEL_MAP_A_TO_A_SIZE

See Also:
  Constant Field Values

### GL_UNPACK_SWAP_BYTES

    public static final int GL_UNPACK_SWAP_BYTES

See Also:
  Constant Field Values

### GL_UNPACK_LSB_FIRST

    public static final int GL_UNPACK_LSB_FIRST

See Also:
  Constant Field Values

### GL_UNPACK_ROW_LENGTH

    public static final int GL_UNPACK_ROW_LENGTH

See Also:
  Constant Field Values

### GL_UNPACK_SKIP_ROWS

    public static final int GL_UNPACK_SKIP_ROWS

See Also:
  Constant Field Values

### GL_UNPACK_SKIP_PIXELS

    public static final int GL_UNPACK_SKIP_PIXELS

See Also:
  Constant Field Values

### GL_UNPACK_ALIGNMENT

    public static final int GL_UNPACK_ALIGNMENT

See Also:
  Constant Field Values

### GL_PACK_SWAP_BYTES

    public static final int GL_PACK_SWAP_BYTES

See Also:
  Constant Field Values

### GL_PACK_LSB_FIRST

    public static final int GL_PACK_LSB_FIRST

See Also:
  Constant Field Values

### GL_PACK_ROW_LENGTH

    public static final int GL_PACK_ROW_LENGTH

See Also:
  Constant Field Values

### GL_PACK_SKIP_ROWS

    public static final int GL_PACK_SKIP_ROWS

See Also:
  Constant Field Values

### GL_PACK_SKIP_PIXELS

    public static final int GL_PACK_SKIP_PIXELS

See Also:
  Constant Field Values

### GL_PACK_ALIGNMENT

    public static final int GL_PACK_ALIGNMENT

See Also:
  Constant Field Values

### GL_MAP_COLOR

    public static final int GL_MAP_COLOR

See Also:
  Constant Field Values

### GL_MAP_STENCIL

    public static final int GL_MAP_STENCIL

See Also:
  Constant Field Values

### GL_INDEX_SHIFT

    public static final int GL_INDEX_SHIFT

See Also:
  Constant Field Values

### GL_INDEX_OFFSET

    public static final int GL_INDEX_OFFSET

See Also:
  Constant Field Values

### GL_RED_SCALE

    public static final int GL_RED_SCALE

See Also:
  Constant Field Values

### GL_RED_BIAS

    public static final int GL_RED_BIAS

See Also:
  Constant Field Values

### GL_ZOOM_X

    public static final int GL_ZOOM_X

See Also:
  Constant Field Values

### GL_ZOOM_Y

    public static final int GL_ZOOM_Y

See Also:
  Constant Field Values

### GL_GREEN_SCALE

    public static final int GL_GREEN_SCALE

See Also:
  Constant Field Values

### GL_GREEN_BIAS

    public static final int GL_GREEN_BIAS

See Also:
  Constant Field Values

### GL_BLUE_SCALE

    public static final int GL_BLUE_SCALE

See Also:
  Constant Field Values

### GL_BLUE_BIAS

    public static final int GL_BLUE_BIAS

See Also:
  Constant Field Values

### GL_ALPHA_SCALE

    public static final int GL_ALPHA_SCALE

See Also:
  Constant Field Values

### GL_ALPHA_BIAS

    public static final int GL_ALPHA_BIAS

See Also:
  Constant Field Values

### GL_DEPTH_SCALE

    public static final int GL_DEPTH_SCALE

See Also:
  Constant Field Values

### GL_DEPTH_BIAS

    public static final int GL_DEPTH_BIAS

See Also:
  Constant Field Values

### GL_MAX_EVAL_ORDER

    public static final int GL_MAX_EVAL_ORDER

See Also:
  Constant Field Values

### GL_MAX_LIGHTS

    public static final int GL_MAX_LIGHTS

See Also:
  Constant Field Values

### GL_MAX_CLIP_PLANES

    public static final int GL_MAX_CLIP_PLANES

See Also:
  Constant Field Values

### GL_MAX_TEXTURE_SIZE

    public static final int GL_MAX_TEXTURE_SIZE

See Also:
  Constant Field Values

### GL_MAX_PIXEL_MAP_TABLE

    public static final int GL_MAX_PIXEL_MAP_TABLE

See Also:
  Constant Field Values

### GL_MAX_ATTRIB_STACK_DEPTH

    public static final int GL_MAX_ATTRIB_STACK_DEPTH

See Also:
  Constant Field Values

### GL_MAX_MODELVIEW_STACK_DEPTH

    public static final int GL_MAX_MODELVIEW_STACK_DEPTH

See Also:
  Constant Field Values

### GL_MAX_NAME_STACK_DEPTH

    public static final int GL_MAX_NAME_STACK_DEPTH

See Also:
  Constant Field Values

### GL_MAX_PROJECTION_STACK_DEPTH

    public static final int GL_MAX_PROJECTION_STACK_DEPTH

See Also:
  Constant Field Values

### GL_MAX_TEXTURE_STACK_DEPTH

    public static final int GL_MAX_TEXTURE_STACK_DEPTH

See Also:
  Constant Field Values

### GL_MAX_VIEWPORT_DIMS

    public static final int GL_MAX_VIEWPORT_DIMS

See Also:
  Constant Field Values

### GL_MAX_CLIENT_ATTRIB_STACK_DEPTH

    public static final int GL_MAX_CLIENT_ATTRIB_STACK_DEPTH

See Also:
  Constant Field Values

### GL_SUBPIXEL_BITS

    public static final int GL_SUBPIXEL_BITS

See Also:
  Constant Field Values

### GL_INDEX_BITS

    public static final int GL_INDEX_BITS

See Also:
  Constant Field Values

### GL_RED_BITS

    public static final int GL_RED_BITS

See Also:
  Constant Field Values

### GL_GREEN_BITS

    public static final int GL_GREEN_BITS

See Also:
  Constant Field Values

### GL_BLUE_BITS

    public static final int GL_BLUE_BITS

See Also:
  Constant Field Values

### GL_ALPHA_BITS

    public static final int GL_ALPHA_BITS

See Also:
  Constant Field Values

### GL_DEPTH_BITS

    public static final int GL_DEPTH_BITS

See Also:
  Constant Field Values

### GL_STENCIL_BITS

    public static final int GL_STENCIL_BITS

See Also:
  Constant Field Values

### GL_ACCUM_RED_BITS

    public static final int GL_ACCUM_RED_BITS

See Also:
  Constant Field Values

### GL_ACCUM_GREEN_BITS

    public static final int GL_ACCUM_GREEN_BITS

See Also:
  Constant Field Values

### GL_ACCUM_BLUE_BITS

    public static final int GL_ACCUM_BLUE_BITS

See Also:
  Constant Field Values

### GL_ACCUM_ALPHA_BITS

    public static final int GL_ACCUM_ALPHA_BITS

See Also:
  Constant Field Values

### GL_NAME_STACK_DEPTH

    public static final int GL_NAME_STACK_DEPTH

See Also:
  Constant Field Values

### GL_AUTO_NORMAL

    public static final int GL_AUTO_NORMAL

See Also:
  Constant Field Values

### GL_MAP1_COLOR_4

    public static final int GL_MAP1_COLOR_4

See Also:
  Constant Field Values

### GL_MAP1_INDEX

    public static final int GL_MAP1_INDEX

See Also:
  Constant Field Values

### GL_MAP1_NORMAL

    public static final int GL_MAP1_NORMAL

See Also:
  Constant Field Values

### GL_MAP1_TEXTURE_COORD_1

    public static final int GL_MAP1_TEXTURE_COORD_1

See Also:
  Constant Field Values

### GL_MAP1_TEXTURE_COORD_2

    public static final int GL_MAP1_TEXTURE_COORD_2

See Also:
  Constant Field Values

### GL_MAP1_TEXTURE_COORD_3

    public static final int GL_MAP1_TEXTURE_COORD_3

See Also:
  Constant Field Values

### GL_MAP1_TEXTURE_COORD_4

    public static final int GL_MAP1_TEXTURE_COORD_4

See Also:
  Constant Field Values

### GL_MAP1_VERTEX_3

    public static final int GL_MAP1_VERTEX_3

See Also:
  Constant Field Values

### GL_MAP1_VERTEX_4

    public static final int GL_MAP1_VERTEX_4

See Also:
  Constant Field Values

### GL_MAP2_COLOR_4

    public static final int GL_MAP2_COLOR_4

See Also:
  Constant Field Values

### GL_MAP2_INDEX

    public static final int GL_MAP2_INDEX

See Also:
  Constant Field Values

### GL_MAP2_NORMAL

    public static final int GL_MAP2_NORMAL

See Also:
  Constant Field Values

### GL_MAP2_TEXTURE_COORD_1

    public static final int GL_MAP2_TEXTURE_COORD_1

See Also:
  Constant Field Values

### GL_MAP2_TEXTURE_COORD_2

    public static final int GL_MAP2_TEXTURE_COORD_2

See Also:
  Constant Field Values

### GL_MAP2_TEXTURE_COORD_3

    public static final int GL_MAP2_TEXTURE_COORD_3

See Also:
  Constant Field Values

### GL_MAP2_TEXTURE_COORD_4

    public static final int GL_MAP2_TEXTURE_COORD_4

See Also:
  Constant Field Values

### GL_MAP2_VERTEX_3

    public static final int GL_MAP2_VERTEX_3

See Also:
  Constant Field Values

### GL_MAP2_VERTEX_4

    public static final int GL_MAP2_VERTEX_4

See Also:
  Constant Field Values

### GL_MAP1_GRID_DOMAIN

    public static final int GL_MAP1_GRID_DOMAIN

See Also:
  Constant Field Values

### GL_MAP1_GRID_SEGMENTS

    public static final int GL_MAP1_GRID_SEGMENTS

See Also:
  Constant Field Values

### GL_MAP2_GRID_DOMAIN

    public static final int GL_MAP2_GRID_DOMAIN

See Also:
  Constant Field Values

### GL_MAP2_GRID_SEGMENTS

    public static final int GL_MAP2_GRID_SEGMENTS

See Also:
  Constant Field Values

### GL_TEXTURE_1D

    public static final int GL_TEXTURE_1D

See Also:
  Constant Field Values

### GL_TEXTURE_2D

    public static final int GL_TEXTURE_2D

See Also:
  Constant Field Values

### GL_FEEDBACK_BUFFER_POINTER

    public static final int GL_FEEDBACK_BUFFER_POINTER

See Also:
  Constant Field Values

### GL_FEEDBACK_BUFFER_SIZE

    public static final int GL_FEEDBACK_BUFFER_SIZE

See Also:
  Constant Field Values

### GL_FEEDBACK_BUFFER_TYPE

    public static final int GL_FEEDBACK_BUFFER_TYPE

See Also:
  Constant Field Values

### GL_SELECTION_BUFFER_POINTER

    public static final int GL_SELECTION_BUFFER_POINTER

See Also:
  Constant Field Values

### GL_SELECTION_BUFFER_SIZE

    public static final int GL_SELECTION_BUFFER_SIZE

See Also:
  Constant Field Values

### GL_TEXTURE_WIDTH

    public static final int GL_TEXTURE_WIDTH

See Also:
  Constant Field Values

### GL_TEXTURE_HEIGHT

    public static final int GL_TEXTURE_HEIGHT

See Also:
  Constant Field Values

### GL_TEXTURE_INTERNAL_FORMAT

    public static final int GL_TEXTURE_INTERNAL_FORMAT

See Also:
  Constant Field Values

### GL_TEXTURE_BORDER_COLOR

    public static final int GL_TEXTURE_BORDER_COLOR

See Also:
  Constant Field Values

### GL_TEXTURE_BORDER

    public static final int GL_TEXTURE_BORDER

See Also:
  Constant Field Values

### GL_DONT_CARE

    public static final int GL_DONT_CARE

See Also:
  Constant Field Values

### GL_FASTEST

    public static final int GL_FASTEST

See Also:
  Constant Field Values

### GL_NICEST

    public static final int GL_NICEST

See Also:
  Constant Field Values

### GL_LIGHT0

    public static final int GL_LIGHT0

See Also:
  Constant Field Values

### GL_LIGHT1

    public static final int GL_LIGHT1

See Also:
  Constant Field Values

### GL_LIGHT2

    public static final int GL_LIGHT2

See Also:
  Constant Field Values

### GL_LIGHT3

    public static final int GL_LIGHT3

See Also:
  Constant Field Values

### GL_LIGHT4

    public static final int GL_LIGHT4

See Also:
  Constant Field Values

### GL_LIGHT5

    public static final int GL_LIGHT5

See Also:
  Constant Field Values

### GL_LIGHT6

    public static final int GL_LIGHT6

See Also:
  Constant Field Values

### GL_LIGHT7

    public static final int GL_LIGHT7

See Also:
  Constant Field Values

### GL_AMBIENT

    public static final int GL_AMBIENT

See Also:
  Constant Field Values

### GL_DIFFUSE

    public static final int GL_DIFFUSE

See Also:
  Constant Field Values

### GL_SPECULAR

    public static final int GL_SPECULAR

See Also:
  Constant Field Values

### GL_POSITION

    public static final int GL_POSITION

See Also:
  Constant Field Values

### GL_SPOT_DIRECTION

    public static final int GL_SPOT_DIRECTION

See Also:
  Constant Field Values

### GL_SPOT_EXPONENT

    public static final int GL_SPOT_EXPONENT

See Also:
  Constant Field Values

### GL_SPOT_CUTOFF

    public static final int GL_SPOT_CUTOFF

See Also:
  Constant Field Values

### GL_CONSTANT_ATTENUATION

    public static final int GL_CONSTANT_ATTENUATION

See Also:
  Constant Field Values

### GL_LINEAR_ATTENUATION

    public static final int GL_LINEAR_ATTENUATION

See Also:
  Constant Field Values

### GL_QUADRATIC_ATTENUATION

    public static final int GL_QUADRATIC_ATTENUATION

See Also:
  Constant Field Values

### GL_COMPILE

    public static final int GL_COMPILE

See Also:
  Constant Field Values

### GL_COMPILE_AND_EXECUTE

    public static final int GL_COMPILE_AND_EXECUTE

See Also:
  Constant Field Values

### GL_CLEAR

    public static final int GL_CLEAR

See Also:
  Constant Field Values

### GL_AND

    public static final int GL_AND

See Also:
  Constant Field Values

### GL_AND_REVERSE

    public static final int GL_AND_REVERSE

See Also:
  Constant Field Values

### GL_COPY

    public static final int GL_COPY

See Also:
  Constant Field Values

### GL_AND_INVERTED

    public static final int GL_AND_INVERTED

See Also:
  Constant Field Values

### GL_NOOP

    public static final int GL_NOOP

See Also:
  Constant Field Values

### GL_XOR

    public static final int GL_XOR

See Also:
  Constant Field Values

### GL_OR

    public static final int GL_OR

See Also:
  Constant Field Values

### GL_NOR

    public static final int GL_NOR

See Also:
  Constant Field Values

### GL_EQUIV

    public static final int GL_EQUIV

See Also:
  Constant Field Values

### GL_INVERT

    public static final int GL_INVERT

See Also:
  Constant Field Values

### GL_OR_REVERSE

    public static final int GL_OR_REVERSE

See Also:
  Constant Field Values

### GL_COPY_INVERTED

    public static final int GL_COPY_INVERTED

See Also:
  Constant Field Values

### GL_OR_INVERTED

    public static final int GL_OR_INVERTED

See Also:
  Constant Field Values

### GL_NAND

    public static final int GL_NAND

See Also:
  Constant Field Values

### GL_SET

    public static final int GL_SET

See Also:
  Constant Field Values

### GL_EMISSION

    public static final int GL_EMISSION

See Also:
  Constant Field Values

### GL_SHININESS

    public static final int GL_SHININESS

See Also:
  Constant Field Values

### GL_AMBIENT_AND_DIFFUSE

    public static final int GL_AMBIENT_AND_DIFFUSE

See Also:
  Constant Field Values

### GL_COLOR_INDEXES

    public static final int GL_COLOR_INDEXES

See Also:
  Constant Field Values

### GL_MODELVIEW

    public static final int GL_MODELVIEW

See Also:
  Constant Field Values

### GL_PROJECTION

    public static final int GL_PROJECTION

See Also:
  Constant Field Values

### GL_TEXTURE

    public static final int GL_TEXTURE

See Also:
  Constant Field Values

### GL_COLOR

    public static final int GL_COLOR

See Also:
  Constant Field Values

### GL_DEPTH

    public static final int GL_DEPTH

See Also:
  Constant Field Values

### GL_STENCIL

    public static final int GL_STENCIL

See Also:
  Constant Field Values

### GL_COLOR_INDEX

    public static final int GL_COLOR_INDEX

See Also:
  Constant Field Values

### GL_STENCIL_INDEX

    public static final int GL_STENCIL_INDEX

See Also:
  Constant Field Values

### GL_DEPTH_COMPONENT

    public static final int GL_DEPTH_COMPONENT

See Also:
  Constant Field Values

### GL_RED

    public static final int GL_RED

See Also:
  Constant Field Values

### GL_GREEN

    public static final int GL_GREEN

See Also:
  Constant Field Values

### GL_BLUE

    public static final int GL_BLUE

See Also:
  Constant Field Values

### GL_ALPHA

    public static final int GL_ALPHA

See Also:
  Constant Field Values

### GL_RGB

    public static final int GL_RGB

See Also:
  Constant Field Values

### GL_RGBA

    public static final int GL_RGBA

See Also:
  Constant Field Values

### GL_LUMINANCE

    public static final int GL_LUMINANCE

See Also:
  Constant Field Values

### GL_LUMINANCE_ALPHA

    public static final int GL_LUMINANCE_ALPHA

See Also:
  Constant Field Values

### GL_BITMAP

    public static final int GL_BITMAP

See Also:
  Constant Field Values

### GL_POINT

    public static final int GL_POINT

See Also:
  Constant Field Values

### GL_LINE

    public static final int GL_LINE

See Also:
  Constant Field Values

### GL_FILL

    public static final int GL_FILL

See Also:
  Constant Field Values

### GL_RENDER

    public static final int GL_RENDER

See Also:
  Constant Field Values

### GL_FEEDBACK

    public static final int GL_FEEDBACK

See Also:
  Constant Field Values

### GL_SELECT

    public static final int GL_SELECT

See Also:
  Constant Field Values

### GL_FLAT

    public static final int GL_FLAT

See Also:
  Constant Field Values

### GL_SMOOTH

    public static final int GL_SMOOTH

See Also:
  Constant Field Values

### GL_KEEP

    public static final int GL_KEEP

See Also:
  Constant Field Values

### GL_REPLACE

    public static final int GL_REPLACE

See Also:
  Constant Field Values

### GL_INCR

    public static final int GL_INCR

See Also:
  Constant Field Values

### GL_DECR

    public static final int GL_DECR

See Also:
  Constant Field Values

### GL_VENDOR

    public static final int GL_VENDOR

See Also:
  Constant Field Values

### GL_RENDERER

    public static final int GL_RENDERER

See Also:
  Constant Field Values

### GL_VERSION

    public static final int GL_VERSION

See Also:
  Constant Field Values

### GL_EXTENSIONS

    public static final int GL_EXTENSIONS

See Also:
  Constant Field Values

### GL_S

    public static final int GL_S

See Also:
  Constant Field Values

### GL_T

    public static final int GL_T

See Also:
  Constant Field Values

### GL_R

    public static final int GL_R

See Also:
  Constant Field Values

### GL_Q

    public static final int GL_Q

See Also:
  Constant Field Values

### GL_MODULATE

    public static final int GL_MODULATE

See Also:
  Constant Field Values

### GL_DECAL

    public static final int GL_DECAL

See Also:
  Constant Field Values

### GL_TEXTURE_ENV_MODE

    public static final int GL_TEXTURE_ENV_MODE

See Also:
  Constant Field Values

### GL_TEXTURE_ENV_COLOR

    public static final int GL_TEXTURE_ENV_COLOR

See Also:
  Constant Field Values

### GL_TEXTURE_ENV

    public static final int GL_TEXTURE_ENV

See Also:
  Constant Field Values

### GL_EYE_LINEAR

    public static final int GL_EYE_LINEAR

See Also:
  Constant Field Values

### GL_OBJECT_LINEAR

    public static final int GL_OBJECT_LINEAR

See Also:
  Constant Field Values

### GL_SPHERE_MAP

    public static final int GL_SPHERE_MAP

See Also:
  Constant Field Values

### GL_TEXTURE_GEN_MODE

    public static final int GL_TEXTURE_GEN_MODE

See Also:
  Constant Field Values

### GL_OBJECT_PLANE

    public static final int GL_OBJECT_PLANE

See Also:
  Constant Field Values

### GL_EYE_PLANE

    public static final int GL_EYE_PLANE

See Also:
  Constant Field Values

### GL_NEAREST

    public static final int GL_NEAREST

See Also:
  Constant Field Values

### GL_LINEAR

    public static final int GL_LINEAR

See Also:
  Constant Field Values

### GL_NEAREST_MIPMAP_NEAREST

    public static final int GL_NEAREST_MIPMAP_NEAREST

See Also:
  Constant Field Values

### GL_LINEAR_MIPMAP_NEAREST

    public static final int GL_LINEAR_MIPMAP_NEAREST

See Also:
  Constant Field Values

### GL_NEAREST_MIPMAP_LINEAR

    public static final int GL_NEAREST_MIPMAP_LINEAR

See Also:
  Constant Field Values

### GL_LINEAR_MIPMAP_LINEAR

    public static final int GL_LINEAR_MIPMAP_LINEAR

See Also:
  Constant Field Values

### GL_TEXTURE_MAG_FILTER

    public static final int GL_TEXTURE_MAG_FILTER

See Also:
  Constant Field Values

### GL_TEXTURE_MIN_FILTER

    public static final int GL_TEXTURE_MIN_FILTER

See Also:
  Constant Field Values

### GL_TEXTURE_WRAP_S

    public static final int GL_TEXTURE_WRAP_S

See Also:
  Constant Field Values

### GL_TEXTURE_WRAP_T

    public static final int GL_TEXTURE_WRAP_T

See Also:
  Constant Field Values

### GL_CLAMP

    public static final int GL_CLAMP

See Also:
  Constant Field Values

### GL_REPEAT

    public static final int GL_REPEAT

See Also:
  Constant Field Values

### GL_CLIENT_PIXEL_STORE_BIT

    public static final int GL_CLIENT_PIXEL_STORE_BIT

See Also:
  Constant Field Values

### GL_CLIENT_VERTEX_ARRAY_BIT

    public static final int GL_CLIENT_VERTEX_ARRAY_BIT

See Also:
  Constant Field Values

### GL_ALL_CLIENT_ATTRIB_BITS

    public static final int GL_ALL_CLIENT_ATTRIB_BITS

See Also:
  Constant Field Values

### GL_POLYGON_OFFSET_FACTOR

    public static final int GL_POLYGON_OFFSET_FACTOR

See Also:
  Constant Field Values

### GL_POLYGON_OFFSET_UNITS

    public static final int GL_POLYGON_OFFSET_UNITS

See Also:
  Constant Field Values

### GL_POLYGON_OFFSET_POINT

    public static final int GL_POLYGON_OFFSET_POINT

See Also:
  Constant Field Values

### GL_POLYGON_OFFSET_LINE

    public static final int GL_POLYGON_OFFSET_LINE

See Also:
  Constant Field Values

### GL_POLYGON_OFFSET_FILL

    public static final int GL_POLYGON_OFFSET_FILL

See Also:
  Constant Field Values

### GL_ALPHA4

    public static final int GL_ALPHA4

See Also:
  Constant Field Values

### GL_ALPHA8

    public static final int GL_ALPHA8

See Also:
  Constant Field Values

### GL_ALPHA12

    public static final int GL_ALPHA12

See Also:
  Constant Field Values

### GL_ALPHA16

    public static final int GL_ALPHA16

See Also:
  Constant Field Values

### GL_LUMINANCE4

    public static final int GL_LUMINANCE4

See Also:
  Constant Field Values

### GL_LUMINANCE8

    public static final int GL_LUMINANCE8

See Also:
  Constant Field Values

### GL_LUMINANCE12

    public static final int GL_LUMINANCE12

See Also:
  Constant Field Values

### GL_LUMINANCE16

    public static final int GL_LUMINANCE16

See Also:
  Constant Field Values

### GL_LUMINANCE4_ALPHA4

    public static final int GL_LUMINANCE4_ALPHA4

See Also:
  Constant Field Values

### GL_LUMINANCE6_ALPHA2

    public static final int GL_LUMINANCE6_ALPHA2

See Also:
  Constant Field Values

### GL_LUMINANCE8_ALPHA8

    public static final int GL_LUMINANCE8_ALPHA8

See Also:
  Constant Field Values

### GL_LUMINANCE12_ALPHA4

    public static final int GL_LUMINANCE12_ALPHA4

See Also:
  Constant Field Values

### GL_LUMINANCE12_ALPHA12

    public static final int GL_LUMINANCE12_ALPHA12

See Also:
  Constant Field Values

### GL_LUMINANCE16_ALPHA16

    public static final int GL_LUMINANCE16_ALPHA16

See Also:
  Constant Field Values

### GL_INTENSITY

    public static final int GL_INTENSITY

See Also:
  Constant Field Values

### GL_INTENSITY4

    public static final int GL_INTENSITY4

See Also:
  Constant Field Values

### GL_INTENSITY8

    public static final int GL_INTENSITY8

See Also:
  Constant Field Values

### GL_INTENSITY12

    public static final int GL_INTENSITY12

See Also:
  Constant Field Values

### GL_INTENSITY16

    public static final int GL_INTENSITY16

See Also:
  Constant Field Values

### GL_R3_G3_B2

    public static final int GL_R3_G3_B2

See Also:
  Constant Field Values

### GL_RGB4

    public static final int GL_RGB4

See Also:
  Constant Field Values

### GL_RGB5

    public static final int GL_RGB5

See Also:
  Constant Field Values

### GL_RGB8

    public static final int GL_RGB8

See Also:
  Constant Field Values

### GL_RGB10

    public static final int GL_RGB10

See Also:
  Constant Field Values

### GL_RGB12

    public static final int GL_RGB12

See Also:
  Constant Field Values

### GL_RGB16

    public static final int GL_RGB16

See Also:
  Constant Field Values

### GL_RGBA2

    public static final int GL_RGBA2

See Also:
  Constant Field Values

### GL_RGBA4

    public static final int GL_RGBA4

See Also:
  Constant Field Values

### GL_RGB5_A1

    public static final int GL_RGB5_A1

See Also:
  Constant Field Values

### GL_RGBA8

    public static final int GL_RGBA8

See Also:
  Constant Field Values

### GL_RGB10_A2

    public static final int GL_RGB10_A2

See Also:
  Constant Field Values

### GL_RGBA12

    public static final int GL_RGBA12

See Also:
  Constant Field Values

### GL_RGBA16

    public static final int GL_RGBA16

See Also:
  Constant Field Values

### GL_TEXTURE_RED_SIZE

    public static final int GL_TEXTURE_RED_SIZE

See Also:
  Constant Field Values

### GL_TEXTURE_GREEN_SIZE

    public static final int GL_TEXTURE_GREEN_SIZE

See Also:
  Constant Field Values

### GL_TEXTURE_BLUE_SIZE

    public static final int GL_TEXTURE_BLUE_SIZE

See Also:
  Constant Field Values

### GL_TEXTURE_ALPHA_SIZE

    public static final int GL_TEXTURE_ALPHA_SIZE

See Also:
  Constant Field Values

### GL_TEXTURE_LUMINANCE_SIZE

    public static final int GL_TEXTURE_LUMINANCE_SIZE

See Also:
  Constant Field Values

### GL_TEXTURE_INTENSITY_SIZE

    public static final int GL_TEXTURE_INTENSITY_SIZE

See Also:
  Constant Field Values

### GL_PROXY_TEXTURE_1D

    public static final int GL_PROXY_TEXTURE_1D

See Also:
  Constant Field Values

### GL_PROXY_TEXTURE_2D

    public static final int GL_PROXY_TEXTURE_2D

See Also:
  Constant Field Values

### GL_TEXTURE_PRIORITY

    public static final int GL_TEXTURE_PRIORITY

See Also:
  Constant Field Values

### GL_TEXTURE_RESIDENT

    public static final int GL_TEXTURE_RESIDENT

See Also:
  Constant Field Values

### GL_TEXTURE_BINDING_1D

    public static final int GL_TEXTURE_BINDING_1D

See Also:
  Constant Field Values

### GL_TEXTURE_BINDING_2D

    public static final int GL_TEXTURE_BINDING_2D

See Also:
  Constant Field Values

### GL_VERTEX_ARRAY

    public static final int GL_VERTEX_ARRAY

See Also:
  Constant Field Values

### GL_NORMAL_ARRAY

    public static final int GL_NORMAL_ARRAY

See Also:
  Constant Field Values

### GL_COLOR_ARRAY

    public static final int GL_COLOR_ARRAY

See Also:
  Constant Field Values

### GL_INDEX_ARRAY

    public static final int GL_INDEX_ARRAY

See Also:
  Constant Field Values

### GL_TEXTURE_COORD_ARRAY

    public static final int GL_TEXTURE_COORD_ARRAY

See Also:
  Constant Field Values

### GL_EDGE_FLAG_ARRAY

    public static final int GL_EDGE_FLAG_ARRAY

See Also:
  Constant Field Values

### GL_VERTEX_ARRAY_SIZE

    public static final int GL_VERTEX_ARRAY_SIZE

See Also:
  Constant Field Values

### GL_VERTEX_ARRAY_TYPE

    public static final int GL_VERTEX_ARRAY_TYPE

See Also:
  Constant Field Values

### GL_VERTEX_ARRAY_STRIDE

    public static final int GL_VERTEX_ARRAY_STRIDE

See Also:
  Constant Field Values

### GL_NORMAL_ARRAY_TYPE

    public static final int GL_NORMAL_ARRAY_TYPE

See Also:
  Constant Field Values

### GL_NORMAL_ARRAY_STRIDE

    public static final int GL_NORMAL_ARRAY_STRIDE

See Also:
  Constant Field Values

### GL_COLOR_ARRAY_SIZE

    public static final int GL_COLOR_ARRAY_SIZE

See Also:
  Constant Field Values

### GL_COLOR_ARRAY_TYPE

    public static final int GL_COLOR_ARRAY_TYPE

See Also:
  Constant Field Values

### GL_COLOR_ARRAY_STRIDE

    public static final int GL_COLOR_ARRAY_STRIDE

See Also:
  Constant Field Values

### GL_INDEX_ARRAY_TYPE

    public static final int GL_INDEX_ARRAY_TYPE

See Also:
  Constant Field Values

### GL_INDEX_ARRAY_STRIDE

    public static final int GL_INDEX_ARRAY_STRIDE

See Also:
  Constant Field Values

### GL_TEXTURE_COORD_ARRAY_SIZE

    public static final int GL_TEXTURE_COORD_ARRAY_SIZE

See Also:
  Constant Field Values

### GL_TEXTURE_COORD_ARRAY_TYPE

    public static final int GL_TEXTURE_COORD_ARRAY_TYPE

See Also:
  Constant Field Values

### GL_TEXTURE_COORD_ARRAY_STRIDE

    public static final int GL_TEXTURE_COORD_ARRAY_STRIDE

See Also:
  Constant Field Values

### GL_EDGE_FLAG_ARRAY_STRIDE

    public static final int GL_EDGE_FLAG_ARRAY_STRIDE

See Also:
  Constant Field Values

### GL_VERTEX_ARRAY_POINTER

    public static final int GL_VERTEX_ARRAY_POINTER

See Also:
  Constant Field Values

### GL_NORMAL_ARRAY_POINTER

    public static final int GL_NORMAL_ARRAY_POINTER

See Also:
  Constant Field Values

### GL_COLOR_ARRAY_POINTER

    public static final int GL_COLOR_ARRAY_POINTER

See Also:
  Constant Field Values

### GL_INDEX_ARRAY_POINTER

    public static final int GL_INDEX_ARRAY_POINTER

See Also:
  Constant Field Values

### GL_TEXTURE_COORD_ARRAY_POINTER

    public static final int GL_TEXTURE_COORD_ARRAY_POINTER

See Also:
  Constant Field Values

### GL_EDGE_FLAG_ARRAY_POINTER

    public static final int GL_EDGE_FLAG_ARRAY_POINTER

See Also:
  Constant Field Values

### GL_V2F

    public static final int GL_V2F

See Also:
  Constant Field Values

### GL_V3F

    public static final int GL_V3F

See Also:
  Constant Field Values

### GL_C4UB_V2F

    public static final int GL_C4UB_V2F

See Also:
  Constant Field Values

### GL_C4UB_V3F

    public static final int GL_C4UB_V3F

See Also:
  Constant Field Values

### GL_C3F_V3F

    public static final int GL_C3F_V3F

See Also:
  Constant Field Values

### GL_N3F_V3F

    public static final int GL_N3F_V3F

See Also:
  Constant Field Values

### GL_C4F_N3F_V3F

    public static final int GL_C4F_N3F_V3F

See Also:
  Constant Field Values

### GL_T2F_V3F

    public static final int GL_T2F_V3F

See Also:
  Constant Field Values

### GL_T4F_V4F

    public static final int GL_T4F_V4F

See Also:
  Constant Field Values

### GL_T2F_C4UB_V3F

    public static final int GL_T2F_C4UB_V3F

See Also:
  Constant Field Values

### GL_T2F_C3F_V3F

    public static final int GL_T2F_C3F_V3F

See Also:
  Constant Field Values

### GL_T2F_N3F_V3F

    public static final int GL_T2F_N3F_V3F

See Also:
  Constant Field Values

### GL_T2F_C4F_N3F_V3F

    public static final int GL_T2F_C4F_N3F_V3F

See Also:
  Constant Field Values

### GL_T4F_C4F_N3F_V4F

    public static final int GL_T4F_C4F_N3F_V4F

See Also:
  Constant Field Values

### GL_LOGIC_OP

    public static final int GL_LOGIC_OP

See Also:
  Constant Field Values

### GL_TEXTURE_COMPONENTS

    public static final int GL_TEXTURE_COMPONENTS

See Also:
  Constant Field Values

Method Detail

### glAccum

    public static void glAccum(int op,
                               float value)

### glAlphaFunc

    public static void glAlphaFunc(int func,
                                   float ref)

### glClearColor

    public static void glClearColor(float red,
                                    float green,
                                    float blue,
                                    float alpha)

### glClearAccum

    public static void glClearAccum(float red,
                                    float green,
                                    float blue,
                                    float alpha)

### glClear

    public static void glClear(int mask)

### glCallLists

    public static void glCallLists(java.nio.ByteBuffer lists)

### glCallLists

    public static void glCallLists(java.nio.IntBuffer lists)

### glCallLists

    public static void glCallLists(java.nio.ShortBuffer lists)

### glCallList

    public static void glCallList(int list)

### glBlendFunc

    public static void glBlendFunc(int sfactor,
                                   int dfactor)

### glBitmap

    public static void glBitmap(int width,
                                int height,
                                float xorig,
                                float yorig,
                                float xmove,
                                float ymove,
                                java.nio.ByteBuffer bitmap)

### glBitmap

    public static void glBitmap(int width,
                                int height,
                                float xorig,
                                float yorig,
                                float xmove,
                                float ymove,
                                long bitmap_buffer_offset)

### glBindTexture

    public static void glBindTexture(int target,
                                     int texture)

### glPrioritizeTextures

    public static void glPrioritizeTextures(java.nio.IntBuffer textures,
                                            java.nio.FloatBuffer priorities)

### glAreTexturesResident

    public static boolean glAreTexturesResident(java.nio.IntBuffer textures,
                                                java.nio.ByteBuffer residences)

### glBegin

    public static void glBegin(int mode)

### glEnd

    public static void glEnd()

### glArrayElement

    public static void glArrayElement(int i)

### glClearDepth

    public static void glClearDepth(double depth)

### glDeleteLists

    public static void glDeleteLists(int list,
                                     int range)

### glDeleteTextures

    public static void glDeleteTextures(java.nio.IntBuffer textures)

### glCullFace

    public static void glCullFace(int mode)

### glCopyTexSubImage2D

    public static void glCopyTexSubImage2D(int target,
                                           int level,
                                           int xoffset,
                                           int yoffset,
                                           int x,
                                           int y,
                                           int width,
                                           int height)

### glCopyTexSubImage1D

    public static void glCopyTexSubImage1D(int target,
                                           int level,
                                           int xoffset,
                                           int x,
                                           int y,
                                           int width)

### glCopyTexImage2D

    public static void glCopyTexImage2D(int target,
                                        int level,
                                        int internalFormat,
                                        int x,
                                        int y,
                                        int width,
                                        int height,
                                        int border)

### glCopyTexImage1D

    public static void glCopyTexImage1D(int target,
                                        int level,
                                        int internalFormat,
                                        int x,
                                        int y,
                                        int width,
                                        int border)

### glCopyPixels

    public static void glCopyPixels(int x,
                                    int y,
                                    int width,
                                    int height,
                                    int type)

### glColorPointer

    public static void glColorPointer(int size,
                                      int stride,
                                      java.nio.DoubleBuffer pointer)

### glColorPointer

    public static void glColorPointer(int size,
                                      int stride,
                                      java.nio.FloatBuffer pointer)

### glColorPointer

    public static void glColorPointer(int size,
                                      boolean unsigned,
                                      int stride,
                                      java.nio.ByteBuffer pointer)

### glColorPointer

    public static void glColorPointer(int size,
                                      int type,
                                      int stride,
                                      long pointer_buffer_offset)

### glColorMaterial

    public static void glColorMaterial(int face,
                                       int mode)

### glColorMask

    public static void glColorMask(boolean red,
                                   boolean green,
                                   boolean blue,
                                   boolean alpha)

### glColor3b

    public static void glColor3b(byte red,
                                 byte green,
                                 byte blue)

### glColor3f

    public static void glColor3f(float red,
                                 float green,
                                 float blue)

### glColor3d

    public static void glColor3d(double red,
                                 double green,
                                 double blue)

### glColor3ub

    public static void glColor3ub(byte red,
                                  byte green,
                                  byte blue)

### glColor4b

    public static void glColor4b(byte red,
                                 byte green,
                                 byte blue,
                                 byte alpha)

### glColor4f

    public static void glColor4f(float red,
                                 float green,
                                 float blue,
                                 float alpha)

### glColor4d

    public static void glColor4d(double red,
                                 double green,
                                 double blue,
                                 double alpha)

### glColor4ub

    public static void glColor4ub(byte red,
                                  byte green,
                                  byte blue,
                                  byte alpha)

### glClipPlane

    public static void glClipPlane(int plane,
                                   java.nio.DoubleBuffer equation)

### glClearStencil

    public static void glClearStencil(int s)

### glEvalPoint1

    public static void glEvalPoint1(int i)

### glEvalPoint2

    public static void glEvalPoint2(int i,
                                    int j)

### glEvalMesh1

    public static void glEvalMesh1(int mode,
                                   int i1,
                                   int i2)

### glEvalMesh2

    public static void glEvalMesh2(int mode,
                                   int i1,
                                   int i2,
                                   int j1,
                                   int j2)

### glEvalCoord1f

    public static void glEvalCoord1f(float u)

### glEvalCoord1d

    public static void glEvalCoord1d(double u)

### glEvalCoord2f

    public static void glEvalCoord2f(float u,
                                     float v)

### glEvalCoord2d

    public static void glEvalCoord2d(double u,
                                     double v)

### glEnableClientState

    public static void glEnableClientState(int cap)

### glDisableClientState

    public static void glDisableClientState(int cap)

### glEnable

    public static void glEnable(int cap)

### glDisable

    public static void glDisable(int cap)

### glEdgeFlagPointer

    public static void glEdgeFlagPointer(int stride,
                                         java.nio.ByteBuffer pointer)

### glEdgeFlagPointer

    public static void glEdgeFlagPointer(int stride,
                                         long pointer_buffer_offset)

### glEdgeFlag

    public static void glEdgeFlag(boolean flag)

### glDrawPixels

    public static void glDrawPixels(int width,
                                    int height,
                                    int format,
                                    int type,
                                    java.nio.ByteBuffer pixels)

### glDrawPixels

    public static void glDrawPixels(int width,
                                    int height,
                                    int format,
                                    int type,
                                    java.nio.IntBuffer pixels)

### glDrawPixels

    public static void glDrawPixels(int width,
                                    int height,
                                    int format,
                                    int type,
                                    java.nio.ShortBuffer pixels)

### glDrawPixels

    public static void glDrawPixels(int width,
                                    int height,
                                    int format,
                                    int type,
                                    long pixels_buffer_offset)

### glDrawElements

    public static void glDrawElements(int mode,
                                      java.nio.ByteBuffer indices)

### glDrawElements

    public static void glDrawElements(int mode,
                                      java.nio.IntBuffer indices)

### glDrawElements

    public static void glDrawElements(int mode,
                                      java.nio.ShortBuffer indices)

### glDrawElements

    public static void glDrawElements(int mode,
                                      int count,
                                      int type,
                                      long indices_buffer_offset)

### glDrawBuffer

    public static void glDrawBuffer(int mode)

### glDrawArrays

    public static void glDrawArrays(int mode,
                                    int first,
                                    int count)

### glDepthRange

    public static void glDepthRange(double zNear,
                                    double zFar)

### glDepthMask

    public static void glDepthMask(boolean flag)

### glDepthFunc

    public static void glDepthFunc(int func)

### glFeedbackBuffer

    public static void glFeedbackBuffer(int type,
                                        java.nio.FloatBuffer buffer)

### glGetPixelMap

    public static void glGetPixelMap(int map,
                                     java.nio.FloatBuffer values)

### glGetPixelMapfv

    public static void glGetPixelMapfv(int map,
                                       long values_buffer_offset)

### glGetPixelMapu

    public static void glGetPixelMapu(int map,
                                      java.nio.IntBuffer values)

### glGetPixelMapuiv

    public static void glGetPixelMapuiv(int map,
                                        long values_buffer_offset)

### glGetPixelMapu

    public static void glGetPixelMapu(int map,
                                      java.nio.ShortBuffer values)

### glGetPixelMapusv

    public static void glGetPixelMapusv(int map,
                                        long values_buffer_offset)

### glGetMaterial

    public static void glGetMaterial(int face,
                                     int pname,
                                     java.nio.FloatBuffer params)

### glGetMaterial

    public static void glGetMaterial(int face,
                                     int pname,
                                     java.nio.IntBuffer params)

### glGetMap

    public static void glGetMap(int target,
                                int query,
                                java.nio.FloatBuffer v)

### glGetMap

    public static void glGetMap(int target,
                                int query,
                                java.nio.DoubleBuffer v)

### glGetMap

    public static void glGetMap(int target,
                                int query,
                                java.nio.IntBuffer v)

### glGetLight

    public static void glGetLight(int light,
                                  int pname,
                                  java.nio.FloatBuffer params)

### glGetLight

    public static void glGetLight(int light,
                                  int pname,
                                  java.nio.IntBuffer params)

### glGetError

    public static int glGetError()

### glGetClipPlane

    public static void glGetClipPlane(int plane,
                                      java.nio.DoubleBuffer equation)

### glGetBoolean

    public static void glGetBoolean(int pname,
                                    java.nio.ByteBuffer params)

### glGetDouble

    public static void glGetDouble(int pname,
                                   java.nio.DoubleBuffer params)

### glGetFloat

    public static void glGetFloat(int pname,
                                  java.nio.FloatBuffer params)

### glGetInteger

    public static void glGetInteger(int pname,
                                    java.nio.IntBuffer params)

### glGenTextures

    public static void glGenTextures(java.nio.IntBuffer textures)

### glGenLists

    public static int glGenLists(int range)

### glFrustum

    public static void glFrustum(double left,
                                 double right,
                                 double bottom,
                                 double top,
                                 double zNear,
                                 double zFar)

### glFrontFace

    public static void glFrontFace(int mode)

### glFogf

    public static void glFogf(int pname,
                              float param)

### glFogi

    public static void glFogi(int pname,
                              int param)

### glFog

    public static void glFog(int pname,
                             java.nio.FloatBuffer params)

### glFog

    public static void glFog(int pname,
                             java.nio.IntBuffer params)

### glFlush

    public static void glFlush()

### glFinish

    public static void glFinish()

### glGetPointer

    public static java.nio.ByteBuffer glGetPointer(int pname,
                                                   long result_size)

### glIsEnabled

    public static boolean glIsEnabled(int cap)

### glInterleavedArrays

    public static void glInterleavedArrays(int format,
                                           int stride,
                                           java.nio.ByteBuffer pointer)

### glInterleavedArrays

    public static void glInterleavedArrays(int format,
                                           int stride,
                                           java.nio.DoubleBuffer pointer)

### glInterleavedArrays

    public static void glInterleavedArrays(int format,
                                           int stride,
                                           java.nio.FloatBuffer pointer)

### glInterleavedArrays

    public static void glInterleavedArrays(int format,
                                           int stride,
                                           java.nio.IntBuffer pointer)

### glInterleavedArrays

    public static void glInterleavedArrays(int format,
                                           int stride,
                                           java.nio.ShortBuffer pointer)

### glInterleavedArrays

    public static void glInterleavedArrays(int format,
                                           int stride,
                                           long pointer_buffer_offset)

### glInitNames

    public static void glInitNames()

### glHint

    public static void glHint(int target,
                              int mode)

### glGetTexParameter

    public static void glGetTexParameter(int target,
                                         int pname,
                                         java.nio.FloatBuffer params)

### glGetTexParameter

    public static void glGetTexParameter(int target,
                                         int pname,
                                         java.nio.IntBuffer params)

### glGetTexLevelParameter

    public static void glGetTexLevelParameter(int target,
                                              int level,
                                              int pname,
                                              java.nio.FloatBuffer params)

### glGetTexLevelParameter

    public static void glGetTexLevelParameter(int target,
                                              int level,
                                              int pname,
                                              java.nio.IntBuffer params)

### glGetTexImage

    public static void glGetTexImage(int target,
                                     int level,
                                     int format,
                                     int type,
                                     java.nio.ByteBuffer pixels)

### glGetTexImage

    public static void glGetTexImage(int target,
                                     int level,
                                     int format,
                                     int type,
                                     java.nio.DoubleBuffer pixels)

### glGetTexImage

    public static void glGetTexImage(int target,
                                     int level,
                                     int format,
                                     int type,
                                     java.nio.FloatBuffer pixels)

### glGetTexImage

    public static void glGetTexImage(int target,
                                     int level,
                                     int format,
                                     int type,
                                     java.nio.IntBuffer pixels)

### glGetTexImage

    public static void glGetTexImage(int target,
                                     int level,
                                     int format,
                                     int type,
                                     java.nio.ShortBuffer pixels)

### glGetTexImage

    public static void glGetTexImage(int target,
                                     int level,
                                     int format,
                                     int type,
                                     long pixels_buffer_offset)

### glGetTexGen

    public static void glGetTexGen(int coord,
                                   int pname,
                                   java.nio.IntBuffer params)

### glGetTexGen

    public static void glGetTexGen(int coord,
                                   int pname,
                                   java.nio.FloatBuffer params)

### glGetTexGen

    public static void glGetTexGen(int coord,
                                   int pname,
                                   java.nio.DoubleBuffer params)

### glGetTexEnv

    public static void glGetTexEnv(int coord,
                                   int pname,
                                   java.nio.IntBuffer params)

### glGetTexEnv

    public static void glGetTexEnv(int coord,
                                   int pname,
                                   java.nio.FloatBuffer params)

### glGetString

    public static java.lang.String glGetString(int name)

### glGetPolygonStipple

    public static void glGetPolygonStipple(java.nio.ByteBuffer mask)

### glGetPolygonStipple

    public static void glGetPolygonStipple(long mask_buffer_offset)

### glIsList

    public static boolean glIsList(int list)

### glMaterialf

    public static void glMaterialf(int face,
                                   int pname,
                                   float param)

### glMateriali

    public static void glMateriali(int face,
                                   int pname,
                                   int param)

### glMaterial

    public static void glMaterial(int face,
                                  int pname,
                                  java.nio.FloatBuffer params)

### glMaterial

    public static void glMaterial(int face,
                                  int pname,
                                  java.nio.IntBuffer params)

### glMapGrid1f

    public static void glMapGrid1f(int un,
                                   float u1,
                                   float u2)

### glMapGrid1d

    public static void glMapGrid1d(int un,
                                   double u1,
                                   double u2)

### glMapGrid2f

    public static void glMapGrid2f(int un,
                                   float u1,
                                   float u2,
                                   int vn,
                                   float v1,
                                   float v2)

### glMapGrid2d

    public static void glMapGrid2d(int un,
                                   double u1,
                                   double u2,
                                   int vn,
                                   double v1,
                                   double v2)

### glMap2f

    public static void glMap2f(int target,
                               float u1,
                               float u2,
                               int ustride,
                               int uorder,
                               float v1,
                               float v2,
                               int vstride,
                               int vorder,
                               java.nio.FloatBuffer points)

### glMap2d

    public static void glMap2d(int target,
                               double u1,
                               double u2,
                               int ustride,
                               int uorder,
                               double v1,
                               double v2,
                               int vstride,
                               int vorder,
                               java.nio.DoubleBuffer points)

### glMap1f

    public static void glMap1f(int target,
                               float u1,
                               float u2,
                               int stride,
                               int order,
                               java.nio.FloatBuffer points)

### glMap1d

    public static void glMap1d(int target,
                               double u1,
                               double u2,
                               int stride,
                               int order,
                               java.nio.DoubleBuffer points)

### glLogicOp

    public static void glLogicOp(int opcode)

### glLoadName

    public static void glLoadName(int name)

### glLoadMatrix

    public static void glLoadMatrix(java.nio.FloatBuffer m)

### glLoadMatrix

    public static void glLoadMatrix(java.nio.DoubleBuffer m)

### glLoadIdentity

    public static void glLoadIdentity()

### glListBase

    public static void glListBase(int base)

### glLineWidth

    public static void glLineWidth(float width)

### glLineStipple

    public static void glLineStipple(int factor,
                                     short pattern)

### glLightModelf

    public static void glLightModelf(int pname,
                                     float param)

### glLightModeli

    public static void glLightModeli(int pname,
                                     int param)

### glLightModel

    public static void glLightModel(int pname,
                                    java.nio.FloatBuffer params)

### glLightModel

    public static void glLightModel(int pname,
                                    java.nio.IntBuffer params)

### glLightf

    public static void glLightf(int light,
                                int pname,
                                float param)

### glLighti

    public static void glLighti(int light,
                                int pname,
                                int param)

### glLight

    public static void glLight(int light,
                               int pname,
                               java.nio.FloatBuffer params)

### glLight

    public static void glLight(int light,
                               int pname,
                               java.nio.IntBuffer params)

### glIsTexture

    public static boolean glIsTexture(int texture)

### glMatrixMode

    public static void glMatrixMode(int mode)

### glPolygonStipple

    public static void glPolygonStipple(java.nio.ByteBuffer mask)

### glPolygonStipple

    public static void glPolygonStipple(long mask_buffer_offset)

### glPolygonOffset

    public static void glPolygonOffset(float factor,
                                       float units)

### glPolygonMode

    public static void glPolygonMode(int face,
                                     int mode)

### glPointSize

    public static void glPointSize(float size)

### glPixelZoom

    public static void glPixelZoom(float xfactor,
                                   float yfactor)

### glPixelTransferf

    public static void glPixelTransferf(int pname,
                                        float param)

### glPixelTransferi

    public static void glPixelTransferi(int pname,
                                        int param)

### glPixelStoref

    public static void glPixelStoref(int pname,
                                     float param)

### glPixelStorei

    public static void glPixelStorei(int pname,
                                     int param)

### glPixelMap

    public static void glPixelMap(int map,
                                  java.nio.FloatBuffer values)

### glPixelMapfv

    public static void glPixelMapfv(int map,
                                    int mapsize,
                                    long values_buffer_offset)

### glPixelMapu

    public static void glPixelMapu(int map,
                                   java.nio.IntBuffer values)

### glPixelMapuiv

    public static void glPixelMapuiv(int map,
                                     int mapsize,
                                     long values_buffer_offset)

### glPixelMapu

    public static void glPixelMapu(int map,
                                   java.nio.ShortBuffer values)

### glPixelMapusv

    public static void glPixelMapusv(int map,
                                     int mapsize,
                                     long values_buffer_offset)

### glPassThrough

    public static void glPassThrough(float token)

### glOrtho

    public static void glOrtho(double left,
                               double right,
                               double bottom,
                               double top,
                               double zNear,
                               double zFar)

### glNormalPointer

    public static void glNormalPointer(int stride,
                                       java.nio.ByteBuffer pointer)

### glNormalPointer

    public static void glNormalPointer(int stride,
                                       java.nio.DoubleBuffer pointer)

### glNormalPointer

    public static void glNormalPointer(int stride,
                                       java.nio.FloatBuffer pointer)

### glNormalPointer

    public static void glNormalPointer(int stride,
                                       java.nio.IntBuffer pointer)

### glNormalPointer

    public static void glNormalPointer(int type,
                                       int stride,
                                       long pointer_buffer_offset)

### glNormal3b

    public static void glNormal3b(byte nx,
                                  byte ny,
                                  byte nz)

### glNormal3f

    public static void glNormal3f(float nx,
                                  float ny,
                                  float nz)

### glNormal3d

    public static void glNormal3d(double nx,
                                  double ny,
                                  double nz)

### glNormal3i

    public static void glNormal3i(int nx,
                                  int ny,
                                  int nz)

### glNewList

    public static void glNewList(int list,
                                 int mode)

### glEndList

    public static void glEndList()

### glMultMatrix

    public static void glMultMatrix(java.nio.FloatBuffer m)

### glMultMatrix

    public static void glMultMatrix(java.nio.DoubleBuffer m)

### glShadeModel

    public static void glShadeModel(int mode)

### glSelectBuffer

    public static void glSelectBuffer(java.nio.IntBuffer buffer)

### glScissor

    public static void glScissor(int x,
                                 int y,
                                 int width,
                                 int height)

### glScalef

    public static void glScalef(float x,
                                float y,
                                float z)

### glScaled

    public static void glScaled(double x,
                                double y,
                                double z)

### glRotatef

    public static void glRotatef(float angle,
                                 float x,
                                 float y,
                                 float z)

### glRenderMode

    public static int glRenderMode(int mode)

### glRectf

    public static void glRectf(float x1,
                               float y1,
                               float x2,
                               float y2)

### glRectd

    public static void glRectd(double x1,
                               double y1,
                               double x2,
                               double y2)

### glRecti

    public static void glRecti(int x1,
                               int y1,
                               int x2,
                               int y2)

### glReadPixels

    public static void glReadPixels(int x,
                                    int y,
                                    int width,
                                    int height,
                                    int format,
                                    int type,
                                    java.nio.ByteBuffer pixels)

### glReadPixels

    public static void glReadPixels(int x,
                                    int y,
                                    int width,
                                    int height,
                                    int format,
                                    int type,
                                    java.nio.DoubleBuffer pixels)

### glReadPixels

    public static void glReadPixels(int x,
                                    int y,
                                    int width,
                                    int height,
                                    int format,
                                    int type,
                                    java.nio.FloatBuffer pixels)

### glReadPixels

    public static void glReadPixels(int x,
                                    int y,
                                    int width,
                                    int height,
                                    int format,
                                    int type,
                                    java.nio.IntBuffer pixels)

### glReadPixels

    public static void glReadPixels(int x,
                                    int y,
                                    int width,
                                    int height,
                                    int format,
                                    int type,
                                    java.nio.ShortBuffer pixels)

### glReadPixels

    public static void glReadPixels(int x,
                                    int y,
                                    int width,
                                    int height,
                                    int format,
                                    int type,
                                    long pixels_buffer_offset)

### glReadBuffer

    public static void glReadBuffer(int mode)

### glRasterPos2f

    public static void glRasterPos2f(float x,
                                     float y)

### glRasterPos2d

    public static void glRasterPos2d(double x,
                                     double y)

### glRasterPos2i

    public static void glRasterPos2i(int x,
                                     int y)

### glRasterPos3f

    public static void glRasterPos3f(float x,
                                     float y,
                                     float z)

### glRasterPos3d

    public static void glRasterPos3d(double x,
                                     double y,
                                     double z)

### glRasterPos3i

    public static void glRasterPos3i(int x,
                                     int y,
                                     int z)

### glRasterPos4f

    public static void glRasterPos4f(float x,
                                     float y,
                                     float z,
                                     float w)

### glRasterPos4d

    public static void glRasterPos4d(double x,
                                     double y,
                                     double z,
                                     double w)

### glRasterPos4i

    public static void glRasterPos4i(int x,
                                     int y,
                                     int z,
                                     int w)

### glPushName

    public static void glPushName(int name)

### glPopName

    public static void glPopName()

### glPushMatrix

    public static void glPushMatrix()

### glPopMatrix

    public static void glPopMatrix()

### glPushClientAttrib

    public static void glPushClientAttrib(int mask)

### glPopClientAttrib

    public static void glPopClientAttrib()

### glPushAttrib

    public static void glPushAttrib(int mask)

### glPopAttrib

    public static void glPopAttrib()

### glStencilFunc

    public static void glStencilFunc(int func,
                                     int ref,
                                     int mask)

### glVertexPointer

    public static void glVertexPointer(int size,
                                       int stride,
                                       java.nio.DoubleBuffer pointer)

### glVertexPointer

    public static void glVertexPointer(int size,
                                       int stride,
                                       java.nio.FloatBuffer pointer)

### glVertexPointer

    public static void glVertexPointer(int size,
                                       int stride,
                                       java.nio.IntBuffer pointer)

### glVertexPointer

    public static void glVertexPointer(int size,
                                       int type,
                                       int stride,
                                       long pointer_buffer_offset)

### glVertex2f

    public static void glVertex2f(float x,
                                  float y)

### glVertex2d

    public static void glVertex2d(double x,
                                  double y)

### glVertex2i

    public static void glVertex2i(int x,
                                  int y)

### glVertex3f

    public static void glVertex3f(float x,
                                  float y,
                                  float z)

### glVertex3d

    public static void glVertex3d(double x,
                                  double y,
                                  double z)

### glVertex3i

    public static void glVertex3i(int x,
                                  int y,
                                  int z)

### glVertex4f

    public static void glVertex4f(float x,
                                  float y,
                                  float z,
                                  float w)

### glVertex4d

    public static void glVertex4d(double x,
                                  double y,
                                  double z,
                                  double w)

### glVertex4i

    public static void glVertex4i(int x,
                                  int y,
                                  int z,
                                  int w)

### glTranslatef

    public static void glTranslatef(float x,
                                    float y,
                                    float z)

### glTranslated

    public static void glTranslated(double x,
                                    double y,
                                    double z)

### glTexImage1D

    public static void glTexImage1D(int target,
                                    int level,
                                    int internalformat,
                                    int width,
                                    int border,
                                    int format,
                                    int type,
                                    java.nio.ByteBuffer pixels)

### glTexImage1D

    public static void glTexImage1D(int target,
                                    int level,
                                    int internalformat,
                                    int width,
                                    int border,
                                    int format,
                                    int type,
                                    java.nio.DoubleBuffer pixels)

### glTexImage1D

    public static void glTexImage1D(int target,
                                    int level,
                                    int internalformat,
                                    int width,
                                    int border,
                                    int format,
                                    int type,
                                    java.nio.FloatBuffer pixels)

### glTexImage1D

    public static void glTexImage1D(int target,
                                    int level,
                                    int internalformat,
                                    int width,
                                    int border,
                                    int format,
                                    int type,
                                    java.nio.IntBuffer pixels)

### glTexImage1D

    public static void glTexImage1D(int target,
                                    int level,
                                    int internalformat,
                                    int width,
                                    int border,
                                    int format,
                                    int type,
                                    java.nio.ShortBuffer pixels)

### glTexImage1D

    public static void glTexImage1D(int target,
                                    int level,
                                    int internalformat,
                                    int width,
                                    int border,
                                    int format,
                                    int type,
                                    long pixels_buffer_offset)

### glTexImage2D

    public static void glTexImage2D(int target,
                                    int level,
                                    int internalformat,
                                    int width,
                                    int height,
                                    int border,
                                    int format,
                                    int type,
                                    java.nio.ByteBuffer pixels)

### glTexImage2D

    public static void glTexImage2D(int target,
                                    int level,
                                    int internalformat,
                                    int width,
                                    int height,
                                    int border,
                                    int format,
                                    int type,
                                    java.nio.DoubleBuffer pixels)

### glTexImage2D

    public static void glTexImage2D(int target,
                                    int level,
                                    int internalformat,
                                    int width,
                                    int height,
                                    int border,
                                    int format,
                                    int type,
                                    java.nio.FloatBuffer pixels)

### glTexImage2D

    public static void glTexImage2D(int target,
                                    int level,
                                    int internalformat,
                                    int width,
                                    int height,
                                    int border,
                                    int format,
                                    int type,
                                    java.nio.IntBuffer pixels)

### glTexImage2D

    public static void glTexImage2D(int target,
                                    int level,
                                    int internalformat,
                                    int width,
                                    int height,
                                    int border,
                                    int format,
                                    int type,
                                    java.nio.ShortBuffer pixels)

### glTexImage2D

    public static void glTexImage2D(int target,
                                    int level,
                                    int internalformat,
                                    int width,
                                    int height,
                                    int border,
                                    int format,
                                    int type,
                                    long pixels_buffer_offset)

### glTexSubImage1D

    public static void glTexSubImage1D(int target,
                                       int level,
                                       int xoffset,
                                       int width,
                                       int format,
                                       int type,
                                       java.nio.ByteBuffer pixels)

### glTexSubImage1D

    public static void glTexSubImage1D(int target,
                                       int level,
                                       int xoffset,
                                       int width,
                                       int format,
                                       int type,
                                       java.nio.DoubleBuffer pixels)

### glTexSubImage1D

    public static void glTexSubImage1D(int target,
                                       int level,
                                       int xoffset,
                                       int width,
                                       int format,
                                       int type,
                                       java.nio.FloatBuffer pixels)

### glTexSubImage1D

    public static void glTexSubImage1D(int target,
                                       int level,
                                       int xoffset,
                                       int width,
                                       int format,
                                       int type,
                                       java.nio.IntBuffer pixels)

### glTexSubImage1D

    public static void glTexSubImage1D(int target,
                                       int level,
                                       int xoffset,
                                       int width,
                                       int format,
                                       int type,
                                       java.nio.ShortBuffer pixels)

### glTexSubImage1D

    public static void glTexSubImage1D(int target,
                                       int level,
                                       int xoffset,
                                       int width,
                                       int format,
                                       int type,
                                       long pixels_buffer_offset)

### glTexSubImage2D

    public static void glTexSubImage2D(int target,
                                       int level,
                                       int xoffset,
                                       int yoffset,
                                       int width,
                                       int height,
                                       int format,
                                       int type,
                                       java.nio.ByteBuffer pixels)

### glTexSubImage2D

    public static void glTexSubImage2D(int target,
                                       int level,
                                       int xoffset,
                                       int yoffset,
                                       int width,
                                       int height,
                                       int format,
                                       int type,
                                       java.nio.DoubleBuffer pixels)

### glTexSubImage2D

    public static void glTexSubImage2D(int target,
                                       int level,
                                       int xoffset,
                                       int yoffset,
                                       int width,
                                       int height,
                                       int format,
                                       int type,
                                       java.nio.FloatBuffer pixels)

### glTexSubImage2D

    public static void glTexSubImage2D(int target,
                                       int level,
                                       int xoffset,
                                       int yoffset,
                                       int width,
                                       int height,
                                       int format,
                                       int type,
                                       java.nio.IntBuffer pixels)

### glTexSubImage2D

    public static void glTexSubImage2D(int target,
                                       int level,
                                       int xoffset,
                                       int yoffset,
                                       int width,
                                       int height,
                                       int format,
                                       int type,
                                       java.nio.ShortBuffer pixels)

### glTexSubImage2D

    public static void glTexSubImage2D(int target,
                                       int level,
                                       int xoffset,
                                       int yoffset,
                                       int width,
                                       int height,
                                       int format,
                                       int type,
                                       long pixels_buffer_offset)

### glTexParameterf

    public static void glTexParameterf(int target,
                                       int pname,
                                       float param)

### glTexParameteri

    public static void glTexParameteri(int target,
                                       int pname,
                                       int param)

### glTexParameter

    public static void glTexParameter(int target,
                                      int pname,
                                      java.nio.FloatBuffer param)

### glTexParameter

    public static void glTexParameter(int target,
                                      int pname,
                                      java.nio.IntBuffer param)

### glTexGenf

    public static void glTexGenf(int coord,
                                 int pname,
                                 float param)

### glTexGend

    public static void glTexGend(int coord,
                                 int pname,
                                 double param)

### glTexGen

    public static void glTexGen(int coord,
                                int pname,
                                java.nio.FloatBuffer params)

### glTexGen

    public static void glTexGen(int coord,
                                int pname,
                                java.nio.DoubleBuffer params)

### glTexGeni

    public static void glTexGeni(int coord,
                                 int pname,
                                 int param)

### glTexGen

    public static void glTexGen(int coord,
                                int pname,
                                java.nio.IntBuffer params)

### glTexEnvf

    public static void glTexEnvf(int target,
                                 int pname,
                                 float param)

### glTexEnvi

    public static void glTexEnvi(int target,
                                 int pname,
                                 int param)

### glTexEnv

    public static void glTexEnv(int target,
                                int pname,
                                java.nio.FloatBuffer params)

### glTexEnv

    public static void glTexEnv(int target,
                                int pname,
                                java.nio.IntBuffer params)

### glTexCoordPointer

    public static void glTexCoordPointer(int size,
                                         int stride,
                                         java.nio.DoubleBuffer pointer)

### glTexCoordPointer

    public static void glTexCoordPointer(int size,
                                         int stride,
                                         java.nio.FloatBuffer pointer)

### glTexCoordPointer

    public static void glTexCoordPointer(int size,
                                         int type,
                                         int stride,
                                         long pointer_buffer_offset)

### glTexCoord1f

    public static void glTexCoord1f(float s)

### glTexCoord1d

    public static void glTexCoord1d(double s)

### glTexCoord2f

    public static void glTexCoord2f(float s,
                                    float t)

### glTexCoord2d

    public static void glTexCoord2d(double s,
                                    double t)

### glTexCoord3f

    public static void glTexCoord3f(float s,
                                    float t,
                                    float r)

### glTexCoord3d

    public static void glTexCoord3d(double s,
                                    double t,
                                    double r)

### glTexCoord4f

    public static void glTexCoord4f(float s,
                                    float t,
                                    float r,
                                    float q)

### glTexCoord4d

    public static void glTexCoord4d(double s,
                                    double t,
                                    double r,
                                    double q)

### glStencilOp

    public static void glStencilOp(int fail,
                                   int zfail,
                                   int zpass)

### glStencilMask

    public static void glStencilMask(int mask)

### glViewport

    public static void glViewport(int x,
                                  int y,
                                  int width,
                                  int height)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 lwjgl.org. All Rights Reserved.